#include "BME280.h"



//Funkcja wpisujaca dane do rejestru
void WriteReg(uint8_t adress, uint8_t value, uint8_t i2cadress)
{
	 I2C_GenerateSTART(I2C1, ENABLE);
	 while (I2C_CheckEvent(I2C1, I2C_EVENT_MASTER_MODE_SELECT) != SUCCESS);
	 I2C_Send7bitAddress(I2C1, i2cadress, I2C_Direction_Transmitter);
	 while (I2C_CheckEvent(I2C1, I2C_EVENT_MASTER_TRANSMITTER_MODE_SELECTED) != SUCCESS);
	 I2C_SendData(I2C1, adress);
	 while (I2C_CheckEvent(I2C1, I2C_EVENT_MASTER_BYTE_TRANSMITTED) != SUCCESS);
	 //W tym miejscu mozna wyslac wiele bajtow -> petla for
	 I2C_SendData(I2C1, value);
	 while (I2C_CheckEvent(I2C1, I2C_EVENT_MASTER_BYTE_TRANSMITTED) != SUCCESS);
	 //koniec petli for
	 I2C_GenerateSTOP(I2C1, ENABLE);
}

//Funkcja wpisujaca wile bajtow do rejestrow
void WriteBurstReg(uint8_t adress, uint8_t *value, uint8_t i2cadress, uint8_t size)
{
	uint8_t i=0;

	 I2C_GenerateSTART(I2C1, ENABLE);
	 while (I2C_CheckEvent(I2C1, I2C_EVENT_MASTER_MODE_SELECT) != SUCCESS);
	 I2C_Send7bitAddress(I2C1, i2cadress, I2C_Direction_Transmitter);
	 while (I2C_CheckEvent(I2C1, I2C_EVENT_MASTER_TRANSMITTER_MODE_SELECTED) != SUCCESS);
	 I2C_SendData(I2C1, adress);
	 while (I2C_CheckEvent(I2C1, I2C_EVENT_MASTER_BYTE_TRANSMITTED) != SUCCESS);
	 //W tym miejscu mozna wyslac wiele bajtow -> petla for
	 for(i=0; i<size; i++)
	 {
	 I2C_SendData(I2C1, *value);
	 value++;
	 while (I2C_CheckEvent(I2C1, I2C_EVENT_MASTER_BYTE_TRANSMITTED) != SUCCESS);
	 }
	 //koniec petli for
	 I2C_GenerateSTOP(I2C1, ENABLE);
}

//Funkcja odczytujaca dane z rejestru
uint8_t ReadReg(uint8_t adress, uint8_t i2cadress)
{
	 uint8_t value=0;

	 I2C_GenerateSTART(I2C1, ENABLE);
	 while (I2C_CheckEvent(I2C1, I2C_EVENT_MASTER_MODE_SELECT) != SUCCESS);
	 I2C_Send7bitAddress(I2C1, i2cadress, I2C_Direction_Transmitter);
	 while (I2C_CheckEvent(I2C1, I2C_EVENT_MASTER_TRANSMITTER_MODE_SELECTED) != SUCCESS);
	 I2C_SendData(I2C1, adress);
	 while (I2C_CheckEvent(I2C1, I2C_EVENT_MASTER_BYTE_TRANSMITTING) != SUCCESS);

	 I2C_GenerateSTART(I2C1, ENABLE);
	 while (I2C_CheckEvent(I2C1, I2C_EVENT_MASTER_MODE_SELECT) != SUCCESS);
	 I2C_AcknowledgeConfig(I2C1, ENABLE);
	 I2C_Send7bitAddress(I2C1, i2cadress, I2C_Direction_Receiver);
	 while (I2C_CheckEvent(I2C1, I2C_EVENT_MASTER_RECEIVER_MODE_SELECTED) != SUCCESS);
	 I2C_AcknowledgeConfig(I2C1, DISABLE);
	 while(I2C_CheckEvent(I2C1, I2C_EVENT_MASTER_BYTE_RECEIVED) != SUCCESS);
	 value = I2C_ReceiveData(I2C1);
	 I2C_GenerateSTOP(I2C1, ENABLE);

	 return value;
}

//Funkcja odczytujaca wiele bajtow z rejestrow
void ReadBurstReg(uint8_t adress, uint8_t *value, uint8_t i2cadress, uint8_t size)
{
	uint8_t i=0;

	 I2C_GenerateSTART(I2C1, ENABLE);
	 while (I2C_CheckEvent(I2C1, I2C_EVENT_MASTER_MODE_SELECT) != SUCCESS);
	 I2C_Send7bitAddress(I2C1, i2cadress, I2C_Direction_Transmitter);
	 while (I2C_CheckEvent(I2C1, I2C_EVENT_MASTER_TRANSMITTER_MODE_SELECTED) != SUCCESS);
	 I2C_SendData(I2C1, adress);
	 while (I2C_CheckEvent(I2C1, I2C_EVENT_MASTER_BYTE_TRANSMITTING) != SUCCESS);

	 I2C_GenerateSTART(I2C1, ENABLE);
	 while (I2C_CheckEvent(I2C1, I2C_EVENT_MASTER_MODE_SELECT) != SUCCESS);
	 I2C_AcknowledgeConfig(I2C1, ENABLE);
	 I2C_Send7bitAddress(I2C1, i2cadress, I2C_Direction_Receiver);
	 while (I2C_CheckEvent(I2C1, I2C_EVENT_MASTER_RECEIVER_MODE_SELECTED) != SUCCESS);

	//w tym miejscu mozna zastosowac petle do odczytywania wiekszej ilosci bajtow
	 for(i=0; i<(size-1); i++)
	 {
	 while(I2C_CheckEvent(I2C1, I2C_EVENT_MASTER_BYTE_RECEIVED) != SUCCESS);
	 *value = I2C_ReceiveData(I2C1);
	 value++;
	 }
	 //Koniec petli odczytywania danych
	 I2C_AcknowledgeConfig(I2C1, DISABLE);
	 I2C_GenerateSTOP(I2C1, ENABLE);
	 while(I2C_CheckEvent(I2C1, I2C_EVENT_MASTER_BYTE_RECEIVED) != SUCCESS);
	 *value = I2C_ReceiveData(I2C1);
}

//Funkcja odczttujaca rejestr statusowy
uint8_t ReadStatus(void)
{
	uint8_t temp;
	temp=ReadReg(bm_status, adressi2c);
	return temp;
}

//Sprawdzenie rejestru i zwrot wedlug dwoch bitow
uint8_t CheckStatus(void)
{
	uint8_t temp;
	temp=ReadStatus();
	temp=temp & 0x01;
	if(temp) return 1;
	else return 0;
}

uint8_t CheckCopyTrim(void)
{
	uint8_t temp;
		temp=ReadStatus();
		temp=temp & 0x04;
		if(temp) return 1;
		else return 0;
}

//Funkcja odczytujaca ID
uint8_t ReadID(void)
{
	uint8_t temp;
	temp=ReadReg(bm_id, adressi2c);
	return temp;
}

//Funkcja ustawiajaca rodzielczosc oraz tryb w ktorym znajduje sie czujnik
//Osr_p , osr_t, mode
void CTRLMeasure(uint8_t t, uint8_t p, uint8_t mode)
{
	uint8_t temp;
	temp=(t<<5) | (p<<2) | mode;
    WriteReg(bm_ctrl_meas, temp, adressi2c);
}

//Funkcja ustawiajaca odpowiednie konfiguracje
//t_sb, filter_
void SetConfig(uint8_t tsb, uint8_t filter, uint8_t spi3)
{
	uint8_t temp;
	temp=(tsb<<5) | (filter<<2) | (spi3);
    WriteReg(bm_config, temp, adressi2c);
}

//Funkcja resetujaca urzadzenie
void ResetBM(void)
{
    WriteReg(bm_reset,bm_reset_command, adressi2c);

	for(uint16_t i=0; i<2000; i++)
	{
		asm("NOP"); asm("NOP"); asm("NOP"); asm("NOP"); asm("NOP");
	}
}

//Funkcja kontrolujaca dokladnosc pomiaru wilgotnosci
//osr_h
//UWAGA - zmiany humidity nastepuja dopiero po wpisaniu zmian do CTRLMeasure
//Najpierw nalezy ustawic CTRLHumidity a dopiero potem CTRLMeasure
void CTRLHumidity(uint8_t h)
{
	WriteReg(bm_ctrl_hum, h, adressi2c);
}

//Funkcja inicjalizujaca
void Init_BME280(void)
{
	ResetBM();      //reset softwareowy
	timereset=1000; //odczekanie 100ms
	while(timereset);
	while(CheckCopyTrim());  //odczekanie na zakonczenie kopiowania wspolczynnikow korekcyjnych

	SetConfig(t_sb_62_5, filter_2, bm_disable_spi3); //ustawienie odpowiedniego czasu, zalaczenie filtra oraz ustawienie jego wartosci, wylaczenie spi trzy liniowego
	CTRLHumidity(osrs_h_2 ); //ustawienie przed CTRLmeas
	CTRLMeasure(osrs_t_2 , osrs_p_2, bm_mode_normal);  //tryb NORMAL, oraz ustawienie ilos probkowan dla temperatury oraz cisnieni
}

//Funkcja pobierajaca wartosc zmierzonego cisnienia
uint32_t getP_BM280(void)
{
	uint32_t temp=0;
    uint8_t buf[3];

#if chstatus==1
	while(CheckStatus());
#endif


    ReadBurstReg(bm_press_msb, buf, adressi2c, 3);

    temp=(buf[0]<<12) | (buf[1]<<4) | (0x0f & buf[2]);

	return temp;
}

//Funkcja pobierajaca wartosc zmierzonej temperatury
uint32_t getT_BM280(void)
{
	uint32_t temp=0;
	uint8_t buf[3];

#if chstatus==1
	while(CheckStatus());
#endif

     ReadBurstReg(bm_temp_msb , buf, adressi2c, 3);

     temp=(buf[0]<<12) | (buf[1]<<4) | (0x0f & buf[2]);

	return temp;
}

//Funkcja pobierajaca wartosc zmierzonej wilgotnosci
uint32_t getH_BM280(void)
{
	uint32_t temp=0;
	uint8_t buf[2];

#if chstatus==1
	while(CheckStatus());
#endif


	ReadBurstReg(bm_hum_msb, buf, adressi2c, 2);

	temp=(buf[0]<<8) | buf[1];


	return temp;
}

//odczytanie wartosci wspolczynnikow korekcyjnych
//tablica musi byc 32 elementowa
void ReadDigi(uint8_t  *s)
{
	uint8_t *k;
	uint8_t adres;
	k=s;

	ReadBurstReg(0x88, k, adressi2c, 24);
	k=s;
	k=k+24;
	adres=0xA1;

			*k=ReadReg(adres, adressi2c);
			k++;
	adres=0xe1;

	for(uint8_t d=0; d<=6; d++)
	{
		*k=ReadReg(adres, adressi2c);
		k++;
		adres++;
	}
}

void Readtrims(BME280_trimstruct * trimtrim)
{
	uint8_t buftrim[32]; //tymczasowy buffor

	while(CheckCopyTrim());
	ReadDigi(buftrim); //odczytanie wspolczynnikow korekcyjnych

	trimtrim->dig_T1=(uint16_t)(buftrim[0] | (buftrim[1]<<8));
	trimtrim->dig_T2=(int16_t)(buftrim[2] | (buftrim[3]<<8));
	trimtrim->dig_T3=(int16_t)(buftrim[4] | (buftrim[5]<<8));
	trimtrim->dig_P1=(uint16_t)(buftrim[6] | (buftrim[7]<<8));
	trimtrim->dig_P2=(int16_t)(buftrim[8] | (buftrim[9]<<8));
	trimtrim->dig_P3=(int16_t)(buftrim[10] | (buftrim[11]<<8));
	trimtrim->dig_P4=(int16_t)(buftrim[12] | (buftrim[13]<<8));
	trimtrim->dig_P5=(int16_t)(buftrim[14] | (buftrim[15]<<8));
	trimtrim->dig_P6=(int16_t)(buftrim[16] | (buftrim[17]<<8));
	trimtrim->dig_P7=(int16_t)(buftrim[18] | (buftrim[19]<<8));
	trimtrim->dig_P8=(int16_t)(buftrim[20] | (buftrim[21]<<8));
	trimtrim->dig_P9=(int16_t)(buftrim[22] | (buftrim[23]<<8));
	trimtrim->dig_H1=(uint8_t)(buftrim[24]);
	trimtrim->dig_H2=(int16_t)(buftrim[25] | (buftrim[26]<<8));
	trimtrim->dig_H3=(uint8_t)(buftrim[27]);
	trimtrim->dig_H4=(int16_t)((buftrim[28]<<4) | (buftrim[29]&0x0f));
	trimtrim->dig_H5=(int16_t)((buftrim[29]>>4) | (buftrim[30]<<4));
	trimtrim->dig_H6=(int8_t)(buftrim[31]);
}

int32_t t_fine;
//Funkcja obliczajaca pomiar temperatury - allgorytm z datasheet - wynik nalezy podzielic przez sto aby dostac stopnie celciusza 2938/100=29,38
int32_t measureT(BME280_trimstruct * digT)
{
 int32_t adc_T;

 int32_t var1, var2, T;

 adc_T=(int32_t) getT_BM280();
 var1  = ((((adc_T>>3) - ((int32_t)(digT->dig_T1)<<1))) * ((int32_t)(digT->dig_T2))) >> 11;
 var2  = (((((adc_T>>4) -((int32_t)(digT->dig_T1))) * ((adc_T>>4) -((int32_t)(digT->dig_T1)))) >> 12) *
  ((int32_t)(digT->dig_T3))) >> 14;
 t_fine = var1 + var2;  T  = (t_fine * 5 + 128) >> 8;
 return T;
}

//Funkcja obliczajaca pomiar cisnienia - algorytm z datasheet - Wynik nalezy podzielic przez sto aby dostac hektopascale 103800/100=1038,00hPa
uint32_t measureP(BME280_trimstruct * digP)
{
 int32_t adc_P;
 int64_t var1, var2, p;

 adc_P=(int32_t) getP_BM280();

 var1 = ((int64_t)t_fine) - 128000;
 var2 = var1 * var1 * (int64_t)(digP->dig_P6);
 var2 = var2 + ((var1*(int64_t)(digP->dig_P5))<<17);
 var2 = var2 + (((int64_t)(digP->dig_P4))<<35);
 var1 = ((var1 * var1 * (int64_t)(digP->dig_P3))>>8) + ((var1 * (int64_t)(digP->dig_P2))<<12);
 var1 = (((((int64_t)1)<<47)+var1))*((int64_t)(digP->dig_P1))>>33;
 if (var1 == 0)
 {
  return 0; // zabezpieczenie przed dzieleniem przez zero
 }
 p = 1048576-adc_P;
 p = (((p<<31)-var2)*3125)/var1;
 var1 = (((int64_t)(digP->dig_P9)) * (p>>13) * (p>>13)) >> 25;  var2 = (((int64_t)(digP->dig_P8)) * p) >> 19;
 p = ((p + var1 + var2) >> 8) + (((int64_t)(digP->dig_P7))<<4);
 p=p/256;  //aby obliczyc cisnienie w pascalach
 return (uint32_t)p;
}

//Funkcja obliczajaca wilgotnosc wzgledna wedlug algorytmu z datasheet wynik np 4923= 49,23%
uint32_t measureH(BME280_trimstruct * digH)
{
      int32_t v_x1_u32r;
      int32_t adc_H;

      adc_H=(int32_t) getH_BM280();

	 v_x1_u32r = (t_fine - ((int32_t)76800));
	 v_x1_u32r = (((((adc_H << 14) - (((int32_t)(digH->dig_H4)) << 20) - (((int32_t)(digH->dig_H5)) * v_x1_u32r)) + ((int32_t)16384)) >> 15) * (((((((v_x1_u32r *
	((int32_t)(digH->dig_H6))) >> 10) * (((v_x1_u32r * ((int32_t)(digH->dig_H3))) >> 11) +
	((int32_t)32768))) >> 10) + ((int32_t)2097152)) * ((int32_t)(digH->dig_H2)) +
	8192) >> 14));
	 v_x1_u32r = (v_x1_u32r - (((((v_x1_u32r >> 15) * (v_x1_u32r >> 15)) >> 7) *
	((int32_t)(digH->dig_H1))) >> 4));
	 v_x1_u32r = (v_x1_u32r < 0 ? 0 : v_x1_u32r);  //Warunki przekroczenia wartosci minmalnej lub maksymalnej
	 v_x1_u32r = (v_x1_u32r > 419430400 ? 419430400 : v_x1_u32r);



	 v_x1_u32r=(v_x1_u32r>>12);

	  v_x1_u32r=100*v_x1_u32r;
	  v_x1_u32r=v_x1_u32r/1024;


	 return (uint32_t)v_x1_u32r;
}








