#include "stm32f10x_spi.h"
#include "ILI9341.h"


#define CS 0     //0 sterowanie sprzetowe 1- sterowanie programowe

#define Reset_H    GPIOA->BSRR = GPIO_Pin_10
#define Reset_L    GPIOA->BRR = GPIO_Pin_10
#define WR_H    GPIOA->BSRR = GPIO_Pin_9
#define WR_L    GPIOA->BRR = GPIO_Pin_9
#define CSILI_H   GPIOA->BSRR = GPIO_Pin_11
#define CSILI_L    GPIOA->BRR = GPIO_Pin_11

extern volatile uint32_t TIMERUS;


void ILI9341_InitLCD(void) 
{

	 ILI9341_Delay(1000); //Odczekaj 50ms
	 // Wymuszczenie resetu sprzetowego 
	 Reset_L;
	 ILI9341_Delay(500); //Odczekaj 50ms
     Reset_H;
	 ILI9341_Delay(500); //odczekaj 50ms
	 // Programowy reset
	 ILI9341_SendCommand(0x01); //komenda resetu

     ILI9341_Delay(500); //odczekaj 50ms

	
	//Ustawienia kontroler - wedlug producenta wyswietlacza
	
	ILI9341_SendCommand(0xCB); //PowerA - wybory zasilania np rdzenia vcore control itd - komedna w wersji extend
	ILI9341_SendData(0x39);    //wartosc wedlug noty
	ILI9341_SendData(0x2C);    //wartosc wedlug noty
	ILI9341_SendData(0x00);    //wartosc wedlug noty
	ILI9341_SendData(0x34);    //zasilanie rdzenia 1,6V
	ILI9341_SendData(0x02);    //ddvdh control 5,6V
	ILI9341_SendCommand(0xCF); //PowerB
	ILI9341_SendData(0x00);	   //wartosc wedlug noty
	ILI9341_SendData(0xC1);   //Vgl-Vclx4, Vgh-Vclx7, DDVDH-VCLx2. DRV_en=0, PC and EQ operation for power saving enable
	ILI9341_SendData(0x30);   //DRVvmh 000, DRVvml=0, discharge path enable, DRV_vml-00
	ILI9341_SendCommand(0xE8); //DTCA
	ILI9341_SendData(0x85);   //gate driver non-overlap timing control=1
	ILI9341_SendData(0x00);   //EQ Timing control=0, CR Timing control=0
	ILI9341_SendData(0x78);   //pre - changing timing control=00;
	ILI9341_SendCommand(0xEA); //DTCB - driver timming control 
	ILI9341_SendData(0x00);    //EQ to GND=0, EQ to DDVDH=0, EQ to DDVDH=0, EQ to GND
	ILI9341_SendData(0x00);    // Wedlug noty
	ILI9341_SendCommand(0xED); //Power on sequence control
	ILI9341_SendData(0x64);   //CP23 soft start - keep 3 frame, CP1 soft start - keep 1 frame
	ILI9341_SendData(0x03);	  //En_ddvdh - 4th frame enable , EN_vcl - 1st frame enable, 
	ILI9341_SendData(0x12);   //EN_vgl- 3th frame enable, EN_vgh- 2th frame enable
	ILI9341_SendData(0x81);   //DDVDH - enable
	ILI9341_SendCommand(0xF7);  //Pump ratio control
	ILI9341_SendData(0x20);	    //DDVDH=2xVcl
	ILI9341_SendCommand(0xC0); //Power 1
	ILI9341_SendData(0x23);    //set the GVDD level -reference level for Vcom 4,6V
	ILI9341_SendCommand(0xC1); //Power 2
	ILI9341_SendData(0x10);    // -
	ILI9341_SendCommand(0xC5); //Vcom control 1
	ILI9341_SendData(0x3E);    //4,25V - VCOMH voltage
	ILI9341_SendData(0x28);    //-1,5V - VCOML voltage
	ILI9341_SendCommand(0xC7); //Vcom control 2
	ILI9341_SendData(0x86);	   //VMH-58, VML-58, nVM=1
	ILI9341_SendCommand(0x36); //Dostep do pamieci
	ILI9341_SendData(0x08);   //- --// 0x00// 0x08--------0x48 //orientacja wyswietlacz pionowa - bez zmian
	ILI9341_SendCommand(0x3A); // Format Pixeli
	ILI9341_SendData(0x55);    //16 bit/pixel , 16bit/pixel
	ILI9341_SendCommand(0xB1); //Frame rate control
	ILI9341_SendData(0x00);    //internal ratio for division ratio - fosc
	ILI9341_SendData(0x18);    //RTNA - 79Hz
	ILI9341_SendCommand(0xB6); //Display function control
	ILI9341_SendData(0x08);    //Pt-0,0 PTG-1,0
	ILI9341_SendData(0x82);    //ISC - 5frames 85ms , REV - normaly white crystal
	ILI9341_SendData(0x27);    //NL - 320 lines - size of crystal panel
	
	ILI9341_SendCommand(0x2A); //Column Adres - wraz z page adres - wypelnienie calego obszaru
	ILI9341_SendData(0x00);        
	ILI9341_SendData(0x00);
	ILI9341_SendData(0x00);	       
	ILI9341_SendData(0xEF);
	ILI9341_SendCommand(0x2B);
	ILI9341_SendData(0x00);
	ILI9341_SendData(0x00);       
	ILI9341_SendData(0x01);	      
	ILI9341_SendData(0x3F);
	
	//***************************************************************************************
	// 			Funkcje ustawiajace Gamme
	//***************************************************************************************
	

	ILI9341_SendCommand(0xF2);
	ILI9341_SendData(0x00);
	
	ILI9341_SendCommand(0x26);
	ILI9341_SendData(0x01);
	ILI9341_SendCommand(0xE0);
	ILI9341_SendData(0x0F);
	ILI9341_SendData(0x31);
	ILI9341_SendData(0x2B);
	ILI9341_SendData(0x0C);
	ILI9341_SendData(0x0E);
	ILI9341_SendData(0x08);
	ILI9341_SendData(0x4E);
	ILI9341_SendData(0xF1);
	ILI9341_SendData(0x37);
	ILI9341_SendData(0x07);
	ILI9341_SendData(0x10);
	ILI9341_SendData(0x03);
	ILI9341_SendData(0x0E);
	ILI9341_SendData(0x09);
	ILI9341_SendData(0x00);
	ILI9341_SendCommand(0xE1);  //Ngamma - set gray scale voltage to adjust the gamma
	ILI9341_SendData(0x00);
	ILI9341_SendData(0x0E);
	ILI9341_SendData(0x14);
	ILI9341_SendData(0x03);
	ILI9341_SendData(0x11);
	ILI9341_SendData(0x07);
	ILI9341_SendData(0x31);
	ILI9341_SendData(0xC1);
	ILI9341_SendData(0x48);
	ILI9341_SendData(0x08);
	ILI9341_SendData(0x0F);
	ILI9341_SendData(0x0C);
	ILI9341_SendData(0x31);
	ILI9341_SendData(0x36);
	ILI9341_SendData(0x0F);

	ILI9341_SendCommand(0x11);  //Sleep out

	ILI9341_Delay(500); //odczekaj 50ms

	ILI9341_SendCommand(0x29); //Display on
	ILI9341_SendCommand(0x2C);  //Wpisywanie do pamieci wyswietlacza aby wyswietlac GRAM
}


void ILI9341_SendCommand(uint8_t data) 
{
	// wykasowanie lini WRX
	WR_L;
	//wykasowanie lini CS
	#if CS==1
	CSILI_L
	#endif
	while(SPI_I2S_GetFlagStatus(SPI1, SPI_I2S_FLAG_TXE)==RESET){}  //odczekaj az buffor wysylajacy bedzie pusty
	SPI_I2S_SendData(SPI1, data);
	//podniesienie w stan wysoki lini CS
	#if CS==1
	CSILI_H
	#endif
}

void ILI9341_SendData(uint8_t data)
{
	//podniesienie lini WRX w stan wysoki
	WR_H;
	//wykasowanie lini Chip select
	#if CS==1
	CSILI_L
	#endif
	while(SPI_I2S_GetFlagStatus(SPI1, SPI_I2S_FLAG_TXE)==RESET){} //odczekaj az buffor wysylajacy bedzie pusty
	SPI_I2S_SendData(SPI1,data);
  //podniesienie lini w stan wysoki CS
	#if CS==1
	CSILI_H
	#endif
}

void ILI9341_SetCursorPosition(uint16_t x1, uint16_t y1, uint16_t x2, uint16_t y2) //funkcja sluzaca do zaznaczenia aktywnego obszaru
 {
	ILI9341_SendCommand(0x2A);     //Column adress - ilosc lini w poziomie
	ILI9341_SendData(x1 >> 8);
	ILI9341_SendData(x1 & 0xFF);
	ILI9341_SendData(x2 >> 8);
	ILI9341_SendData(x2 & 0xFF);

	ILI9341_SendCommand(0x2B); //Page adress - ilosc lini w pionie
	ILI9341_SendData(y1 >> 8);
	ILI9341_SendData(y1 & 0xFF);
	ILI9341_SendData(y2 >> 8);
	ILI9341_SendData(y2 & 0xFF);
	 
	ILI9341_SendCommand(0x2c);
}

void ILI9341_DrawPixel(uint16_t x, uint16_t y, uint32_t color) //rysowanie pixela o wybranym kolorze
{

		ILI9341_SetCursorPosition(x, y, x, y);

			ILI9341_SendCommand(0x2C);   //wpisywanie wartosci do GRAM
			ILI9341_SendData(color >> 8);        //format 16bitowy 565 -wyslanie starszej czesci
			ILI9341_SendData(color & 0xFF);      //wyslanie mlodszej czesci

}

void ILI9341_DrawPixel2(uint16_t x, uint16_t y, uint32_t color) //rysowanie pixela o wybranym kolorze
{

		ILI9341_SetCursorPosition(x, y, x, y);

			ILI9341_SendData(color >> 8);        //format 16bitowy 565 -wyslanie starszej czesci
			ILI9341_SendData(color & 0xFF);      //wyslanie mlodszej czesci

}

void ILI9341_DisplayOn(void)  //zalaczenie wyswietlacza
{
	ILI9341_SendCommand(0x29); //komenda zalaczajaca wyswietlanie
}

void ILI9341_DisplayOff(void)  //wylaczenie wyswietlacza
{
	ILI9341_SendCommand(0x28); //komenda wylaczajaca wyswietlanie
}

//rysowanie linii
void tft_line(int X1, int Y1,int X2,int Y2,int Color) 
	{
	int CurrentX, CurrentY, Xinc, Yinc,
		Dx, Dy, TwoDx, TwoDy,
		TwoDxAccumulatedError, TwoDyAccumulatedError;

	Dx = (X2-X1);
	Dy = (Y2-Y1);

	TwoDx = Dx + Dx;
	TwoDy = Dy + Dy;

	CurrentX = X1;
	CurrentY = Y1;

	Xinc = 1;
	Yinc = 1;

	if(Dx < 0) {

		Xinc = -1;
		Dx = -Dx;
		TwoDx = -TwoDx;
	}

	if (Dy < 0) {
		Yinc = -1;
		Dy = -Dy;
		TwoDy = -TwoDy;
	}

	ILI9341_DrawPixel(Y1, X1, Color);
	

	if ((Dx != 0) || (Dy != 0)) {

		if (Dy <= Dx) {
			TwoDxAccumulatedError = 0;
			do {
			    CurrentX += Xinc;
			    TwoDxAccumulatedError += TwoDy;
			    if(TwoDxAccumulatedError > Dx) {
			        CurrentY += Yinc;
			        TwoDxAccumulatedError -= TwoDx;
			    }
					ILI9341_DrawPixel(CurrentY, CurrentX, Color);

			
			  } while (CurrentX != X2);
		  } else {
			  TwoDyAccumulatedError = 0;
			  do {
			      CurrentY += Yinc;
			      TwoDyAccumulatedError += TwoDx;
			      if(TwoDyAccumulatedError>Dy) {
				      CurrentX += Xinc;
				      TwoDyAccumulatedError -= TwoDy;
			      }
						ILI9341_DrawPixel(CurrentY, CurrentX, Color);
			    
			  } while (CurrentY != Y2);
		  }
	}
}
	//rysowanie pelnego prostokatu
void full_rect( int X1, int Y1, int X2, int Y2, uint16_t color)
{
				int i, j;
		for(i=X1; i<=X2; i++)
		{
					for(j=Y1; j<=Y2; j++)
					{
						ILI9341_DrawPixel(j, i, color);
					}
		}
}	

 void ILI9341_Delay(volatile unsigned int delay) //funkcja opozniajaca
{
	 	TIMERUS=delay;
		while(TIMERUS){}
}

void ILI9341_Clear(uint16_t color) //funkcja czyszczasa ekran danym kolorem
{
	//full_rect( 0, 0, 320, 240, color);
	uint32_t k;

	ILI9341_SetCursorPosition(0, 0, 240, 320);

	ILI9341_SendCommand(0x2C);   //wpisywanie wartosci do GRAM
	for(k=0; k<=76799; k++)
	{
		ILI9341_SendData(color >> 8);        //format 16bitowy 565 -wyslanie starszej czesci
		ILI9341_SendData(color & 0xFF);      //wyslanie mlodszej czesci
	}
}





//rysowanie linii - pogrubionej
void tft_line2(int X1, int Y1,int X2,int Y2,int Color)
	{
	uint8_t p;
	int CurrentX, CurrentY, Xinc, Yinc,
		Dx, Dy, TwoDx, TwoDy,
		TwoDxAccumulatedError, TwoDyAccumulatedError;

	Dx = (X2-X1);
	Dy = (Y2-Y1);

	TwoDx = Dx + Dx;
	TwoDy = Dy + Dy;

	CurrentX = X1;
	CurrentY = Y1;

	Xinc = 1;
	Yinc = 1;

	if(Dx < 0) {

		Xinc = -1;
		Dx = -Dx;
		TwoDx = -TwoDx;
	}

	if (Dy < 0) {
		Yinc = -1;
		Dy = -Dy;
		TwoDy = -TwoDy;
	}



	ILI9341_SetCursorPosition(Y1-3, X1-3, Y1+3, X1+3);

	ILI9341_SendCommand(0x2C);   //wpisywanie wartosci do GRAM

	for(p=0; p<49; p++)
	{
	ILI9341_SendData(Color >> 8);        //format 16bitowy 565 -wyslanie starszej czesci
	ILI9341_SendData(Color & 0xFF);      //wyslanie mlodszej czesci
	}


	if ((Dx != 0) || (Dy != 0)) {

		if (Dy <= Dx) {
			TwoDxAccumulatedError = 0;
			do {
			    CurrentX += Xinc;
			    TwoDxAccumulatedError += TwoDy;
			    if(TwoDxAccumulatedError > Dx) {
			        CurrentY += Yinc;
			        TwoDxAccumulatedError -= TwoDx;
			    }


			    ILI9341_SetCursorPosition(CurrentY-1, CurrentX-1, CurrentY+1, CurrentX+1);

			    for(p=0; p<9; p++)
			    	{
			    	ILI9341_SendData(Color >> 8);        //format 16bitowy 565 -wyslanie starszej czesci
			    	ILI9341_SendData(Color & 0xFF);      //wyslanie mlodszej czesci
			    	}


			  } while (CurrentX != X2);
		  } else {
			  TwoDyAccumulatedError = 0;
			  do {
			      CurrentY += Yinc;
			      TwoDyAccumulatedError += TwoDx;
			      if(TwoDyAccumulatedError>Dy) {
				      CurrentX += Xinc;
				      TwoDyAccumulatedError -= TwoDy;
			      }
				    ILI9341_SetCursorPosition(CurrentY-1, CurrentX-1, CurrentY+1, CurrentX+1);

				    for(p=0; p<9; p++)
				    	{
				    	ILI9341_SendData(Color >> 8);        //format 16bitowy 565 -wyslanie starszej czesci
				    	ILI9341_SendData(Color & 0xFF);      //wyslanie mlodszej czesci
				    	}


			  } while (CurrentY != Y2);
		  }
	}
}

//linia pogrubiona
void tft_line3(int X1, int Y1,int X2,int Y2,int Color)
	{
	uint8_t p;
	int CurrentX, CurrentY, Xinc, Yinc,
		Dx, Dy, TwoDx, TwoDy,
		TwoDxAccumulatedError, TwoDyAccumulatedError;

	Dx = (X2-X1);
	Dy = (Y2-Y1);

	TwoDx = Dx + Dx;
	TwoDy = Dy + Dy;

	CurrentX = X1;
	CurrentY = Y1;

	Xinc = 1;
	Yinc = 1;

	if(Dx < 0) {

		Xinc = -1;
		Dx = -Dx;
		TwoDx = -TwoDx;
	}

	if (Dy < 0) {
		Yinc = -1;
		Dy = -Dy;
		TwoDy = -TwoDy;
	}



	ILI9341_SetCursorPosition(Y1, X1, Y1, X1);

	ILI9341_SendCommand(0x2C);   //wpisywanie wartosci do GRAM


	ILI9341_SendData(Color >> 8);        //format 16bitowy 565 -wyslanie starszej czesci
	ILI9341_SendData(Color & 0xFF);      //wyslanie mlodszej czesci



	if ((Dx != 0) || (Dy != 0)) {

		if (Dy <= Dx) {
			TwoDxAccumulatedError = 0;
			do {
			    CurrentX += Xinc;
			    TwoDxAccumulatedError += TwoDy;
			    if(TwoDxAccumulatedError > Dx) {
			        CurrentY += Yinc;
			        TwoDxAccumulatedError -= TwoDx;
			    }


			    ILI9341_SetCursorPosition(CurrentY-1, CurrentX-1, CurrentY+1, CurrentX+1);

			    for(p=0; p<9; p++)
			    	{
			    	ILI9341_SendData(Color >> 8);        //format 16bitowy 565 -wyslanie starszej czesci
			    	ILI9341_SendData(Color & 0xFF);      //wyslanie mlodszej czesci
			    	}


			  } while (CurrentX != X2);
		  } else {
			  TwoDyAccumulatedError = 0;
			  do {
			      CurrentY += Yinc;
			      TwoDyAccumulatedError += TwoDx;
			      if(TwoDyAccumulatedError>Dy) {
				      CurrentX += Xinc;
				      TwoDyAccumulatedError -= TwoDy;
			      }
				    ILI9341_SetCursorPosition(CurrentY-1, CurrentX-1, CurrentY+1, CurrentX+1);

				    for(p=0; p<9; p++)
				    	{
				    	ILI9341_SendData(Color >> 8);        //format 16bitowy 565 -wyslanie starszej czesci
				    	ILI9341_SendData(Color & 0xFF);      //wyslanie mlodszej czesci
				    	}


			  } while (CurrentY != Y2);
		  }
	}
}

//Funkcja rysujaca narysowana grafike w monohromatyczna w pikselach
//w tablicy sa zawarte informacje o pikselach - wierszowo
uint8_t putmonograph(uint16_t x, uint16_t y, uint16_t color, uint16_t bkcolor, uint16_t width, uint16_t height,const uint8_t *s)
{
	uint8_t tempi, tempk, wier, dtemp=0, fault=0;
	unsigned char wartosc;
	const uint8_t *p;

	//jezeli wysokosc i szerokosc nie jest podzielna przez 8 to zwroc blad
	if(height%8) fault= 1;
	if(width%8) fault= 1;

	wier=width/8;

	for(tempk=0; tempk<height; tempk++)
	{
	for(tempi=0; tempi<wier; tempi++)
	{
		p=s+(tempk*wier)+tempi;
		wartosc=*p;
		for(dtemp=0; dtemp<8; dtemp++)
		{
			if(wartosc & (1<<(7-dtemp))) ILI9341_DrawPixel(y+tempk, x+(tempi*8)+dtemp, color); else ILI9341_DrawPixel(y+tempk, x+(tempi*8)+dtemp, bkcolor);
		}

	}
	}

	return fault;
}


//rysowanie pelnego kwadratu
void full_rect3( int X1, int Y1, int X2, int Y2, uint16_t color)
{
	uint16_t temp1, temp2;
	uint32_t tempmul;
	uint32_t k;

	temp1=X2-X1;
	temp2=Y2-Y1;

	tempmul=(temp1+1)*(temp2+1);

	ILI9341_SetCursorPosition(Y1, X1, Y2, X2);

	ILI9341_SendCommand(0x2C);   //wpisywanie wartosci do GRAM
	for(k=0; k<=tempmul; k++)
	{
		ILI9341_SendData(color >> 8);        //format 16bitowy 565 -wyslanie starszej czesci
		ILI9341_SendData(color & 0xFF);      //wyslanie mlodszej czesci
	}


}

//Narysowanie obrazka z pamieci flash
void putpictures2(u16 x, u16 y, u16 width, u16 height, unsigned char const *grafika)
{
		u16 i, j;
		unsigned char const *s;
		unsigned char msb, lsb;

		s=grafika;


		for(j=0; j<height; j++)
		{

			ILI9341_SetCursorPosition(y+j, x,y+j , x+width); //funkcja sluzaca do zaznaczenia aktywnego obszaru
            ILI9341_SendCommand(0x2C);   //wpisywanie wartosci do GRAM

				for(i=0; i<width; i++)
				{
					lsb=*s;
					s++;
					msb=*s;
					s++;
					ILI9341_SendData(msb);        //format 16bitowy 565 -wyslanie starszej czesci
					ILI9341_SendData(lsb);        //format 16bitowy 565 -wyslanie mlodszej czesci
				}
		}
}
//Funkcja rysujaca tapete z pamieci flash
void putwallpaper(unsigned char const *grafika)
{
	putpictures2(0, 0, 320, 240, grafika);
}

//Funkcja rysujaca pixel z grafiki
void putpixelfromwallpaper(uint16_t x, uint16_t y, unsigned char const *grafika)
{
	uint32_t temp;

	unsigned char const *s;
	unsigned char msb, lsb;
    s=grafika;


	temp=(640*y)+2*x;
	s=s+temp;

	lsb=*s;
	s++;
	msb=*s;
	s++;

	ILI9341_SetCursorPosition(y, x, y, x);
    ILI9341_SendCommand(0x2C);   //wpisywanie wartosci do GRAM

	ILI9341_SendData(msb);        //format 16bitowy 565 -wyslanie starszej czesci
	ILI9341_SendData(lsb);        //format 16bitowy 565 -wyslanie mlodszej czesci

}

//Funkcja rysujaca kwadrat z tapety tla
void putrectfromwallpaper(uint16_t x1, uint16_t y1, uint16_t x2, uint16_t y2, unsigned char const *grafika, uint8_t alphacolor)
{
	uint32_t temp;
	uint16_t deltax, deltay;
	unsigned char const *s;
	unsigned char msb, lsb;
	uint16_t tempcolor, tempred, tempblue, tempgreen;


	deltax=x2-x1;
	deltay=y2-y1;




	for(uint16_t i=0; i<=deltay; i++)
	{

		temp=(640*(y1+i))+2*(x1);
		s=grafika;
		s=s+temp;
		ILI9341_SetCursorPosition(y1+i, x1, y1+i, x1+deltax);
		ILI9341_SendCommand(0x2C);   //wpisywanie wartosci do GRAM

		for(uint16_t k=0; k<=deltax; k++)
		{
			lsb=*s;
			s++;
			msb=*s;
			s++;

			if(alphacolor)
			{
				tempcolor=(msb<<8) | lsb;
				tempred=(tempcolor>>11) & 0x1f;
				tempblue=tempcolor & 0x1f;
				tempgreen=(tempcolor>>5) & 0x3f;
				tempred+=alphacolor;
				tempred=tempred & 0x1f;
				tempgreen+=alphacolor;
				tempgreen= tempgreen & 0x3f;
				tempblue+=alphacolor;
				tempblue= tempblue & 0x1f;
				tempcolor=(tempred<<11) | (tempgreen<<5) | tempblue;
				msb=tempcolor>>8;
				lsb=tempcolor & 0xff;
			}

			ILI9341_SendData(msb);        //format 16bitowy 565 -wyslanie starszej czesci
			ILI9341_SendData(lsb);        //format 16bitowy 565 -wyslanie mlodszej czesci
		}
	}
}

