#include "stm32f10x.h"
#include "fonts.h"




const uint8_t font1[];
const uint16_t font1desc[];
const uint8_t fontinfo1[];


const uint8_t font5[];     //Arial 10 pt bold -wyswietlanie wartosci na ekranie glownym
const uint16_t font5desc[];
const uint8_t fontinfo5[];


extern int chosefont;



 void send_glyph_byte(uint8_t bajt, uint8_t width, uint16_t COLOR, uint16_t BK_COLOR, int X, int Y,unsigned char const *grafika) {
	uint8_t i;
	for(i=0; i<width; i++ )
	{
		if(bajt&0x80)
		{
				ILI9341_DrawPixel(Y, X+i, COLOR);
		}
		else
		{
			 putpixelfromwallpaper(X+i, Y, grafika);

		}

		bajt<<=1;
	}
}



 void send_font_bitmap(int xPixel, int yPixel, uint16_t OFFSET, int glyphHeight, int glyphWidth, uint16_t C, uint16_t BK_C, unsigned char const *grafika2) {

	uint8_t i, j, k, bajt=0;
	uint16_t p=OFFSET;



	for(i=0; i<glyphHeight; i++ ) {

		for(j=0, k=0; j<glyphWidth; j+=8, k++) {
			if(chosefont==1)
				{
					bajt = font1[p++];
				}

			if(chosefont==5)
				{
					bajt = font5[p++];
				}



			if( ((k+1)*8)<=glyphWidth ) send_glyph_byte(bajt, 8, C, BK_C, xPixel+j, yPixel+i, grafika2);
			else send_glyph_byte(bajt, glyphWidth-(k*8), C, BK_C, xPixel+j, yPixel+i, grafika2);


		}
	}
}






void tft_mputs( int x, int y, char * s, uint16_t color, uint16_t bk_color, unsigned char const *grafika3 ) {

	uint8_t gH, gW, gS, gIS;
	uint16_t offset;
	uint8_t startChar;

	if(chosefont==1)
	{
	startChar = fontinfo1[1];
	gH = fontinfo1[0];
	gIS = fontinfo1[2];
	gS = fontinfo1[3];
	}

	if(chosefont==5)
	{
	startChar = fontinfo5[1];
	gH = fontinfo5[0];
	gIS = fontinfo5[2];
	gS = fontinfo5[3];
	}


	while( *s ) {
		if( *s > ' ') {
			//jezeli zostala wybrana pierwsza czcionka , druga itd
							if(chosefont==1)
											{
													gW=26;
													offset=font1desc[*s - startChar];
													send_font_bitmap(x, y, offset, gH, gW, color, bk_color, grafika3 );
													x = x + gW + gIS;
											}
							if(chosefont==5)
											{
													gW=13;
													offset=font5desc[*s - startChar];
													send_font_bitmap(x, y, offset, gH, gW, color, bk_color, grafika3 );
													x = x + gW + gIS;
											}
		} else
    	{
			x+=gS;
		}
		s++;
	}
}





const uint8_t font1[] =
{
		 //    [%]   (26 px wide)
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x1E, 0x00, 0x70, 0x00,  //      ####          ###          //
		     0x3F, 0x00, 0x70, 0x00,  //     ######         ###          //
		     0x7F, 0x80, 0xE0, 0x00,  //    ########       ###           //
		     0x73, 0x80, 0xE0, 0x00,  //    ###  ###       ###           //
		     0xE1, 0xC0, 0xE0, 0x00,  //   ###    ###      ###           //
		     0xE1, 0xC1, 0xC0, 0x00,  //   ###    ###     ###            //
		     0xE1, 0xC1, 0xC0, 0x00,  //   ###    ###     ###            //
		     0xE1, 0xC3, 0x80, 0x00,  //   ###    ###    ###             //
		     0xE1, 0xC3, 0x80, 0x00,  //   ###    ###    ###             //
		     0xE1, 0xC7, 0x00, 0x00,  //   ###    ###   ###              //
		     0xE1, 0xC7, 0x00, 0x00,  //   ###    ###   ###              //
		     0x73, 0x87, 0x00, 0x00,  //    ###  ###    ###              //
		     0x7F, 0x8E, 0x00, 0x00,  //    ########   ###               //
		     0x3F, 0x0E, 0x1E, 0x00,  //     ######    ###    ####       //
		     0x1E, 0x1C, 0x3F, 0x00,  //      ####    ###    ######      //
		     0x00, 0x1C, 0x7F, 0x80,  //              ###   ########     //
		     0x00, 0x38, 0x73, 0x80,  //             ###    ###  ###     //
		     0x00, 0x38, 0xE1, 0xC0,  //             ###   ###    ###    //
		     0x00, 0x38, 0xE1, 0xC0,  //             ###   ###    ###    //
		     0x00, 0x70, 0xE1, 0xC0,  //            ###    ###    ###    //
		     0x00, 0x70, 0xE1, 0xC0,  //            ###    ###    ###    //
		     0x00, 0xE0, 0xE1, 0xC0,  //           ###     ###    ###    //
		     0x00, 0xE0, 0xE1, 0xC0,  //           ###     ###    ###    //
		     0x01, 0xC0, 0xE1, 0xC0,  //          ###      ###    ###    //
		     0x01, 0xC0, 0x73, 0x80,  //          ###       ###  ###     //
		     0x01, 0xC0, 0x7F, 0x80,  //          ###       ########     //
		     0x03, 0x80, 0x3F, 0x00,  //         ###         ######      //
		     0x03, 0x80, 0x1E, 0x00,  //         ###          ####       //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //

		     // @140   [,]   (26 px wide)
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x3E, 0x00, 0x00,  //             #####               //
		     0x00, 0x3E, 0x00, 0x00,  //             #####               //
		     0x00, 0x3E, 0x00, 0x00,  //             #####               //
		     0x00, 0x3E, 0x00, 0x00,  //             #####               //
		     0x00, 0x0E, 0x00, 0x00,  //               ###               //
		     0x00, 0x0E, 0x00, 0x00,  //               ###               //
		     0x00, 0x1E, 0x00, 0x00,  //              ####               //
		     0x00, 0x3C, 0x00, 0x00,  //             ####                //
		     0x00, 0x38, 0x00, 0x00,  //             ###                 //
		     0x00, 0x10, 0x00, 0x00,  //              #                  //

		     // @280   [0]   (26 px wide)
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x3E, 0x00, 0x00,  //             #####               //
		     0x00, 0xFF, 0x80, 0x00,  //           #########             //
		     0x00, 0xFF, 0x80, 0x00,  //           #########             //
		     0x01, 0xFF, 0xC0, 0x00,  //          ###########            //
		     0x03, 0xE3, 0xE0, 0x00,  //         #####   #####           //
		     0x03, 0xE3, 0xE0, 0x00,  //         #####   #####           //
		     0x03, 0xC1, 0xE0, 0x00,  //         ####     ####           //
		     0x07, 0xC1, 0xE0, 0x00,  //        #####     ####           //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x03, 0xC1, 0xE0, 0x00,  //         ####     ####           //
		     0x03, 0xE3, 0xE0, 0x00,  //         #####   #####           //
		     0x03, 0xE3, 0xE0, 0x00,  //         #####   #####           //
		     0x01, 0xFF, 0xC0, 0x00,  //          ###########            //
		     0x00, 0xFF, 0x80, 0x00,  //           #########             //
		     0x00, 0xFF, 0x80, 0x00,  //           #########             //
		     0x00, 0x3E, 0x00, 0x00,  //             #####               //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //

		     // @420   [1]   (26 px wide)
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x03, 0xC0, 0x00,  //                 ####            //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x0F, 0xC0, 0x00,  //               ######            //
		     0x00, 0x1F, 0xC0, 0x00,  //              #######            //
		     0x00, 0x3F, 0xC0, 0x00,  //             ########            //
		     0x00, 0xFF, 0xC0, 0x00,  //           ##########            //
		     0x01, 0xFF, 0xC0, 0x00,  //          ###########            //
		     0x01, 0xE7, 0xC0, 0x00,  //          ####  #####            //
		     0x01, 0xC7, 0xC0, 0x00,  //          ###   #####            //
		     0x01, 0x07, 0xC0, 0x00,  //          #     #####            //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //

		     // @560   [2]   (26 px wide)
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x3F, 0x80, 0x00,  //             #######             //
		     0x00, 0x7F, 0xC0, 0x00,  //            #########            //
		     0x00, 0xFF, 0xE0, 0x00,  //           ###########           //
		     0x01, 0xFF, 0xF0, 0x00,  //          #############          //
		     0x01, 0xF1, 0xF0, 0x00,  //          #####   #####          //
		     0x03, 0xE0, 0xF8, 0x00,  //         #####     #####         //
		     0x03, 0xE0, 0xF8, 0x00,  //         #####     #####         //
		     0x00, 0xE0, 0xF8, 0x00,  //           ###     #####         //
		     0x00, 0x00, 0xF8, 0x00,  //                   #####         //
		     0x00, 0x00, 0xF8, 0x00,  //                   #####         //
		     0x00, 0x01, 0xF8, 0x00,  //                  ######         //
		     0x00, 0x01, 0xF8, 0x00,  //                  ######         //
		     0x00, 0x03, 0xF0, 0x00,  //                 ######          //
		     0x00, 0x07, 0xF0, 0x00,  //                #######          //
		     0x00, 0x07, 0xE0, 0x00,  //                ######           //
		     0x00, 0x0F, 0xE0, 0x00,  //               #######           //
		     0x00, 0x1F, 0xC0, 0x00,  //              #######            //
		     0x00, 0x3F, 0x80, 0x00,  //             #######             //
		     0x00, 0x7F, 0x00, 0x00,  //            #######              //
		     0x00, 0xFE, 0x00, 0x00,  //           #######               //
		     0x00, 0xFC, 0x00, 0x00,  //           ######                //
		     0x01, 0xFC, 0x00, 0x00,  //          #######                //
		     0x01, 0xF8, 0x00, 0x00,  //          ######                 //
		     0x03, 0xF0, 0x00, 0x00,  //         ######                  //
		     0x03, 0xFF, 0xF8, 0x00,  //         ###############         //
		     0x07, 0xFF, 0xF8, 0x00,  //        ################         //
		     0x07, 0xFF, 0xF8, 0x00,  //        ################         //
		     0x07, 0xFF, 0xF8, 0x00,  //        ################         //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //

		     // @700   [3]   (26 px wide)
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x3F, 0x00, 0x00,  //             ######              //
		     0x00, 0xFF, 0x80, 0x00,  //           #########             //
		     0x01, 0xFF, 0xC0, 0x00,  //          ###########            //
		     0x03, 0xFF, 0xE0, 0x00,  //         #############           //
		     0x03, 0xE3, 0xE0, 0x00,  //         #####   #####           //
		     0x07, 0xE1, 0xF0, 0x00,  //        ######    #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x01, 0xC1, 0xF0, 0x00,  //          ###     #####          //
		     0x00, 0x01, 0xF0, 0x00,  //                  #####          //
		     0x00, 0x03, 0xF0, 0x00,  //                 ######          //
		     0x00, 0x03, 0xE0, 0x00,  //                 #####           //
		     0x00, 0x1F, 0xC0, 0x00,  //              #######            //
		     0x00, 0x1F, 0x80, 0x00,  //              ######             //
		     0x00, 0x1F, 0xC0, 0x00,  //              #######            //
		     0x00, 0x1F, 0xE0, 0x00,  //              ########           //
		     0x00, 0x03, 0xF0, 0x00,  //                 ######          //
		     0x00, 0x01, 0xF0, 0x00,  //                  #####          //
		     0x00, 0x00, 0xF8, 0x00,  //                   #####         //
		     0x00, 0x00, 0xF8, 0x00,  //                   #####         //
		     0x00, 0x00, 0xF8, 0x00,  //                   #####         //
		     0x01, 0xC0, 0xF8, 0x00,  //          ###      #####         //
		     0x07, 0xC0, 0xF8, 0x00,  //        #####      #####         //
		     0x07, 0xE1, 0xF8, 0x00,  //        ######    ######         //
		     0x03, 0xF3, 0xF0, 0x00,  //         ######  ######          //
		     0x03, 0xFF, 0xE0, 0x00,  //         #############           //
		     0x01, 0xFF, 0xE0, 0x00,  //          ############           //
		     0x00, 0xFF, 0xC0, 0x00,  //           ##########            //
		     0x00, 0x3F, 0x00, 0x00,  //             ######              //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //

		     // @840   [4]   (26 px wide)
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x0F, 0xC0, 0x00,  //               ######            //
		     0x00, 0x0F, 0xC0, 0x00,  //               ######            //
		     0x00, 0x1F, 0xC0, 0x00,  //              #######            //
		     0x00, 0x1F, 0xC0, 0x00,  //              #######            //
		     0x00, 0x3F, 0xC0, 0x00,  //             ########            //
		     0x00, 0x3F, 0xC0, 0x00,  //             ########            //
		     0x00, 0x7F, 0xC0, 0x00,  //            #########            //
		     0x00, 0x77, 0xC0, 0x00,  //            ### #####            //
		     0x00, 0xF7, 0xC0, 0x00,  //           #### #####            //
		     0x01, 0xE7, 0xC0, 0x00,  //          ####  #####            //
		     0x01, 0xE7, 0xC0, 0x00,  //          ####  #####            //
		     0x03, 0xC7, 0xC0, 0x00,  //         ####   #####            //
		     0x03, 0xC7, 0xC0, 0x00,  //         ####   #####            //
		     0x07, 0x87, 0xC0, 0x00,  //        ####    #####            //
		     0x07, 0x87, 0xC0, 0x00,  //        ####    #####            //
		     0x0F, 0x07, 0xC0, 0x00,  //       ####     #####            //
		     0x0F, 0xFF, 0xF8, 0x00,  //       #################         //
		     0x0F, 0xFF, 0xF8, 0x00,  //       #################         //
		     0x0F, 0xFF, 0xF8, 0x00,  //       #################         //
		     0x0F, 0xFF, 0xF8, 0x00,  //       #################         //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //

		     // @980   [5]   (26 px wide)
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0xFF, 0xF0, 0x00,  //           ############          //
		     0x00, 0xFF, 0xF0, 0x00,  //           ############          //
		     0x00, 0xFF, 0xF0, 0x00,  //           ############          //
		     0x01, 0xFF, 0xF0, 0x00,  //          #############          //
		     0x01, 0xF0, 0x00, 0x00,  //          #####                  //
		     0x01, 0xF0, 0x00, 0x00,  //          #####                  //
		     0x01, 0xF0, 0x00, 0x00,  //          #####                  //
		     0x01, 0xF0, 0x00, 0x00,  //          #####                  //
		     0x01, 0xF7, 0x80, 0x00,  //          ##### ####             //
		     0x01, 0xFF, 0xC0, 0x00,  //          ###########            //
		     0x03, 0xFF, 0xE0, 0x00,  //         #############           //
		     0x03, 0xFF, 0xF0, 0x00,  //         ##############          //
		     0x03, 0xE3, 0xF0, 0x00,  //         #####   ######          //
		     0x00, 0xC1, 0xF0, 0x00,  //           ##     #####          //
		     0x00, 0x00, 0xF8, 0x00,  //                   #####         //
		     0x00, 0x00, 0xF8, 0x00,  //                   #####         //
		     0x00, 0x00, 0xF8, 0x00,  //                   #####         //
		     0x00, 0x00, 0xF8, 0x00,  //                   #####         //
		     0x00, 0x00, 0xF8, 0x00,  //                   #####         //
		     0x00, 0x00, 0xF8, 0x00,  //                   #####         //
		     0x01, 0xC0, 0xF8, 0x00,  //          ###      #####         //
		     0x07, 0xC0, 0xF0, 0x00,  //        #####      ####          //
		     0x07, 0xE1, 0xF0, 0x00,  //        ######    #####          //
		     0x03, 0xF3, 0xF0, 0x00,  //         ######  ######          //
		     0x03, 0xFF, 0xE0, 0x00,  //         #############           //
		     0x01, 0xFF, 0xC0, 0x00,  //          ###########            //
		     0x00, 0xFF, 0x80, 0x00,  //           #########             //
		     0x00, 0x3F, 0x00, 0x00,  //             ######              //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //

		     // @1120   [6]   (26 px wide)
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x1F, 0x00, 0x00,  //              #####              //
		     0x00, 0x7F, 0xC0, 0x00,  //            #########            //
		     0x00, 0xFF, 0xE0, 0x00,  //           ###########           //
		     0x01, 0xFF, 0xE0, 0x00,  //          ############           //
		     0x01, 0xF3, 0xF0, 0x00,  //          #####  ######          //
		     0x03, 0xE1, 0xF0, 0x00,  //         #####    #####          //
		     0x03, 0xC1, 0xC0, 0x00,  //         ####     ###            //
		     0x03, 0xC0, 0x00, 0x00,  //         ####                    //
		     0x07, 0xC0, 0x00, 0x00,  //        #####                    //
		     0x07, 0xC0, 0x00, 0x00,  //        #####                    //
		     0x07, 0xCF, 0x00, 0x00,  //        #####  ####              //
		     0x07, 0xFF, 0xC0, 0x00,  //        #############            //
		     0x07, 0xFF, 0xE0, 0x00,  //        ##############           //
		     0x07, 0xFF, 0xF0, 0x00,  //        ###############          //
		     0x07, 0xF3, 0xF0, 0x00,  //        #######  ######          //
		     0x07, 0xE1, 0xF8, 0x00,  //        ######    ######         //
		     0x07, 0xC0, 0xF8, 0x00,  //        #####      #####         //
		     0x07, 0xC0, 0xF8, 0x00,  //        #####      #####         //
		     0x07, 0xC0, 0xF8, 0x00,  //        #####      #####         //
		     0x07, 0xC0, 0xF8, 0x00,  //        #####      #####         //
		     0x03, 0xC0, 0xF8, 0x00,  //         ####      #####         //
		     0x03, 0xC0, 0xF8, 0x00,  //         ####      #####         //
		     0x03, 0xE1, 0xF8, 0x00,  //         #####    ######         //
		     0x01, 0xF1, 0xF0, 0x00,  //          #####   #####          //
		     0x01, 0xFF, 0xF0, 0x00,  //          #############          //
		     0x00, 0xFF, 0xE0, 0x00,  //           ###########           //
		     0x00, 0x7F, 0xC0, 0x00,  //            #########            //
		     0x00, 0x1F, 0x00, 0x00,  //              #####              //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //

		     // @1260   [7]   (26 px wide)
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x07, 0xFF, 0xF8, 0x00,  //        ################         //
		     0x07, 0xFF, 0xF8, 0x00,  //        ################         //
		     0x07, 0xFF, 0xF8, 0x00,  //        ################         //
		     0x07, 0xFF, 0xF8, 0x00,  //        ################         //
		     0x00, 0x01, 0xF8, 0x00,  //                  ######         //
		     0x00, 0x01, 0xF0, 0x00,  //                  #####          //
		     0x00, 0x03, 0xE0, 0x00,  //                 #####           //
		     0x00, 0x07, 0xE0, 0x00,  //                ######           //
		     0x00, 0x07, 0xC0, 0x00,  //                #####            //
		     0x00, 0x0F, 0xC0, 0x00,  //               ######            //
		     0x00, 0x0F, 0x80, 0x00,  //               #####             //
		     0x00, 0x0F, 0x80, 0x00,  //               #####             //
		     0x00, 0x1F, 0x00, 0x00,  //              #####              //
		     0x00, 0x1F, 0x00, 0x00,  //              #####              //
		     0x00, 0x3E, 0x00, 0x00,  //             #####               //
		     0x00, 0x3E, 0x00, 0x00,  //             #####               //
		     0x00, 0x3E, 0x00, 0x00,  //             #####               //
		     0x00, 0x3E, 0x00, 0x00,  //             #####               //
		     0x00, 0x7C, 0x00, 0x00,  //            #####                //
		     0x00, 0x7C, 0x00, 0x00,  //            #####                //
		     0x00, 0x7C, 0x00, 0x00,  //            #####                //
		     0x00, 0x7C, 0x00, 0x00,  //            #####                //
		     0x00, 0xF8, 0x00, 0x00,  //           #####                 //
		     0x00, 0xF8, 0x00, 0x00,  //           #####                 //
		     0x00, 0xF8, 0x00, 0x00,  //           #####                 //
		     0x00, 0xF8, 0x00, 0x00,  //           #####                 //
		     0x00, 0xF8, 0x00, 0x00,  //           #####                 //
		     0x00, 0xF8, 0x00, 0x00,  //           #####                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //

		     // @1400   [8]   (26 px wide)
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x3F, 0x00, 0x00,  //             ######              //
		     0x00, 0xFF, 0xC0, 0x00,  //           ##########            //
		     0x01, 0xFF, 0xE0, 0x00,  //          ############           //
		     0x01, 0xFF, 0xE0, 0x00,  //          ############           //
		     0x03, 0xF3, 0xF0, 0x00,  //         ######  ######          //
		     0x03, 0xE1, 0xF0, 0x00,  //         #####    #####          //
		     0x03, 0xE1, 0xF0, 0x00,  //         #####    #####          //
		     0x03, 0xE1, 0xF0, 0x00,  //         #####    #####          //
		     0x03, 0xE1, 0xF0, 0x00,  //         #####    #####          //
		     0x03, 0xE1, 0xF0, 0x00,  //         #####    #####          //
		     0x01, 0xF3, 0xE0, 0x00,  //          #####  #####           //
		     0x00, 0xFF, 0xC0, 0x00,  //           ##########            //
		     0x00, 0x7F, 0x80, 0x00,  //            ########             //
		     0x00, 0xFF, 0xC0, 0x00,  //           ##########            //
		     0x01, 0xFF, 0xE0, 0x00,  //          ############           //
		     0x03, 0xF3, 0xF0, 0x00,  //         ######  ######          //
		     0x03, 0xE1, 0xF0, 0x00,  //         #####    #####          //
		     0x07, 0xC0, 0xF8, 0x00,  //        #####      #####         //
		     0x07, 0xC0, 0xF8, 0x00,  //        #####      #####         //
		     0x07, 0xC0, 0xF8, 0x00,  //        #####      #####         //
		     0x07, 0xC0, 0xF8, 0x00,  //        #####      #####         //
		     0x07, 0xC0, 0xF8, 0x00,  //        #####      #####         //
		     0x07, 0xE1, 0xF8, 0x00,  //        ######    ######         //
		     0x03, 0xF1, 0xF0, 0x00,  //         ######   #####          //
		     0x03, 0xFF, 0xF0, 0x00,  //         ##############          //
		     0x01, 0xFF, 0xE0, 0x00,  //          ############           //
		     0x00, 0xFF, 0xC0, 0x00,  //           ##########            //
		     0x00, 0x3F, 0x00, 0x00,  //             ######              //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //

		     // @1540   [9]   (26 px wide)
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x3E, 0x00, 0x00,  //             #####               //
		     0x00, 0xFF, 0x80, 0x00,  //           #########             //
		     0x01, 0xFF, 0xC0, 0x00,  //          ###########            //
		     0x03, 0xFF, 0xE0, 0x00,  //         #############           //
		     0x03, 0xE3, 0xE0, 0x00,  //         #####   #####           //
		     0x03, 0xE1, 0xF0, 0x00,  //         #####    #####          //
		     0x07, 0xC0, 0xF0, 0x00,  //        #####      ####          //
		     0x07, 0xC0, 0xF0, 0x00,  //        #####      ####          //
		     0x07, 0xC0, 0xF8, 0x00,  //        #####      #####         //
		     0x07, 0xC0, 0xF8, 0x00,  //        #####      #####         //
		     0x07, 0xC0, 0xF8, 0x00,  //        #####      #####         //
		     0x07, 0xC0, 0xF8, 0x00,  //        #####      #####         //
		     0x07, 0xE1, 0xF8, 0x00,  //        ######    ######         //
		     0x03, 0xF3, 0xF8, 0x00,  //         ######  #######         //
		     0x03, 0xFF, 0xF8, 0x00,  //         ###############         //
		     0x01, 0xFF, 0xF8, 0x00,  //          ##############         //
		     0x00, 0xFF, 0xF8, 0x00,  //           #############         //
		     0x00, 0x3C, 0xF8, 0x00,  //             ####  #####         //
		     0x00, 0x00, 0xF8, 0x00,  //                   #####         //
		     0x00, 0x00, 0xF8, 0x00,  //                   #####         //
		     0x00, 0x00, 0xF0, 0x00,  //                   ####          //
		     0x00, 0xE0, 0xF0, 0x00,  //           ###     ####          //
		     0x03, 0xE1, 0xF0, 0x00,  //         #####    #####          //
		     0x03, 0xF3, 0xE0, 0x00,  //         ######  #####           //
		     0x01, 0xFF, 0xE0, 0x00,  //          ############           //
		     0x01, 0xFF, 0xC0, 0x00,  //          ###########            //
		     0x00, 0xFF, 0x80, 0x00,  //           #########             //
		     0x00, 0x3E, 0x00, 0x00,  //             #####               //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //

		     // @1680   [C]   (26 px wide)
		     0x00, 0x3F, 0x80, 0x00,  //             #######             //
		     0x00, 0xFF, 0xE0, 0x00,  //           ###########           //
		     0x01, 0xFF, 0xF0, 0x00,  //          #############          //
		     0x03, 0xFF, 0xF8, 0x00,  //         ###############         //
		     0x03, 0xE1, 0xFC, 0x00,  //         #####    #######        //
		     0x07, 0xC0, 0x7C, 0x00,  //        #####       #####        //
		     0x0F, 0x80, 0x7E, 0x00,  //       #####        ######       //
		     0x0F, 0x80, 0x3E, 0x00,  //       #####         #####       //
		     0x0F, 0x80, 0x38, 0x00,  //       #####         ###         //
		     0x0F, 0x00, 0x00, 0x00,  //       ####                      //
		     0x1F, 0x00, 0x00, 0x00,  //      #####                      //
		     0x1F, 0x00, 0x00, 0x00,  //      #####                      //
		     0x1F, 0x00, 0x00, 0x00,  //      #####                      //
		     0x1F, 0x00, 0x00, 0x00,  //      #####                      //
		     0x1F, 0x00, 0x00, 0x00,  //      #####                      //
		     0x1F, 0x00, 0x00, 0x00,  //      #####                      //
		     0x1F, 0x00, 0x00, 0x00,  //      #####                      //
		     0x1F, 0x00, 0x00, 0x00,  //      #####                      //
		     0x1F, 0x00, 0x00, 0x00,  //      #####                      //
		     0x1F, 0x00, 0x20, 0x00,  //      #####          #           //
		     0x0F, 0x80, 0x3C, 0x00,  //       #####         ####        //
		     0x0F, 0x80, 0x7E, 0x00,  //       #####        ######       //
		     0x0F, 0x80, 0x7E, 0x00,  //       #####        ######       //
		     0x07, 0xC0, 0xFC, 0x00,  //        #####      ######        //
		     0x07, 0xE1, 0xFC, 0x00,  //        ######    #######        //
		     0x03, 0xFF, 0xF8, 0x00,  //         ###############         //
		     0x01, 0xFF, 0xF0, 0x00,  //          #############          //
		     0x00, 0xFF, 0xE0, 0x00,  //           ###########           //
		     0x00, 0x3F, 0x80, 0x00,  //             #######             //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //

		     // @1820   [P]   (26 px wide)
		     0x0F, 0xFF, 0x80, 0x00,  //       #############             //
		     0x0F, 0xFF, 0xE0, 0x00,  //       ###############           //
		     0x0F, 0xFF, 0xF0, 0x00,  //       ################          //
		     0x0F, 0xFF, 0xF8, 0x00,  //       #################         //
		     0x0F, 0x81, 0xF8, 0x00,  //       #####      ######         //
		     0x0F, 0x80, 0xFC, 0x00,  //       #####       ######        //
		     0x0F, 0x80, 0x7C, 0x00,  //       #####        #####        //
		     0x0F, 0x80, 0x7C, 0x00,  //       #####        #####        //
		     0x0F, 0x80, 0x7C, 0x00,  //       #####        #####        //
		     0x0F, 0x80, 0x7C, 0x00,  //       #####        #####        //
		     0x0F, 0x80, 0x7C, 0x00,  //       #####        #####        //
		     0x0F, 0x80, 0x7C, 0x00,  //       #####        #####        //
		     0x0F, 0x80, 0xFC, 0x00,  //       #####       ######        //
		     0x0F, 0x81, 0xF8, 0x00,  //       #####      ######         //
		     0x0F, 0xFF, 0xF8, 0x00,  //       #################         //
		     0x0F, 0xFF, 0xF0, 0x00,  //       ################          //
		     0x0F, 0xFF, 0xE0, 0x00,  //       ###############           //
		     0x0F, 0xFF, 0x80, 0x00,  //       #############             //
		     0x0F, 0x80, 0x00, 0x00,  //       #####                     //
		     0x0F, 0x80, 0x00, 0x00,  //       #####                     //
		     0x0F, 0x80, 0x00, 0x00,  //       #####                     //
		     0x0F, 0x80, 0x00, 0x00,  //       #####                     //
		     0x0F, 0x80, 0x00, 0x00,  //       #####                     //
		     0x0F, 0x80, 0x00, 0x00,  //       #####                     //
		     0x0F, 0x80, 0x00, 0x00,  //       #####                     //
		     0x0F, 0x80, 0x00, 0x00,  //       #####                     //
		     0x0F, 0x80, 0x00, 0x00,  //       #####                     //
		     0x0F, 0x80, 0x00, 0x00,  //       #####                     //
		     0x0F, 0x80, 0x00, 0x00,  //       #####                     //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //

		     // @1960   [a]   (26 px wide)
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x3F, 0x80, 0x00,  //             #######             //
		     0x00, 0xFF, 0xC0, 0x00,  //           ##########            //
		     0x01, 0xFF, 0xE0, 0x00,  //          ############           //
		     0x01, 0xFF, 0xF0, 0x00,  //          #############          //
		     0x03, 0xF3, 0xF0, 0x00,  //         ######  ######          //
		     0x03, 0xE1, 0xF0, 0x00,  //         #####    #####          //
		     0x00, 0xE1, 0xF0, 0x00,  //           ###    #####          //
		     0x00, 0x03, 0xF0, 0x00,  //                 ######          //
		     0x00, 0x3F, 0xF0, 0x00,  //             ##########          //
		     0x00, 0xFF, 0xF0, 0x00,  //           ############          //
		     0x03, 0xFF, 0xF0, 0x00,  //         ##############          //
		     0x03, 0xFD, 0xF0, 0x00,  //         ######## #####          //
		     0x07, 0xE1, 0xF0, 0x00,  //        ######    #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC3, 0xF0, 0x00,  //        #####    ######          //
		     0x07, 0xE7, 0xF0, 0x00,  //        ######  #######          //
		     0x07, 0xFF, 0xF0, 0x00,  //        ###############          //
		     0x03, 0xFF, 0xF0, 0x00,  //         ##############          //
		     0x01, 0xFE, 0xF0, 0x00,  //          ######## ####          //
		     0x00, 0xF8, 0xF8, 0x00,  //           #####   #####         //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //

		     // @2100   [h]   (26 px wide)
		     0x07, 0xC0, 0x00, 0x00,  //        #####                    //
		     0x07, 0xC0, 0x00, 0x00,  //        #####                    //
		     0x07, 0xC0, 0x00, 0x00,  //        #####                    //
		     0x07, 0xC0, 0x00, 0x00,  //        #####                    //
		     0x07, 0xC0, 0x00, 0x00,  //        #####                    //
		     0x07, 0xC0, 0x00, 0x00,  //        #####                    //
		     0x07, 0xC0, 0x00, 0x00,  //        #####                    //
		     0x07, 0xC0, 0x00, 0x00,  //        #####                    //
		     0x07, 0xC7, 0x80, 0x00,  //        #####   ####             //
		     0x07, 0xDF, 0xC0, 0x00,  //        ##### #######            //
		     0x07, 0xFF, 0xE0, 0x00,  //        ##############           //
		     0x07, 0xFF, 0xE0, 0x00,  //        ##############           //
		     0x07, 0xE3, 0xF0, 0x00,  //        ######   ######          //
		     0x07, 0xE1, 0xF0, 0x00,  //        ######    #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x07, 0xC1, 0xF0, 0x00,  //        #####     #####          //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //

		     // @2240   []   (26 px wide)
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x1E, 0x00, 0x00,  //              ####               //
		     0x00, 0x7F, 0x80, 0x00,  //            ########             //
		     0x00, 0xFF, 0xC0, 0x00,  //           ##########            //
		     0x00, 0xE1, 0xC0, 0x00,  //           ###    ###            //
		     0x01, 0xC0, 0xE0, 0x00,  //          ###      ###           //
		     0x01, 0xC0, 0xE0, 0x00,  //          ###      ###           //
		     0x01, 0xC0, 0xE0, 0x00,  //          ###      ###           //
		     0x01, 0xC0, 0xE0, 0x00,  //          ###      ###           //
		     0x00, 0xE1, 0xC0, 0x00,  //           ###    ###            //
		     0x00, 0xFF, 0xC0, 0x00,  //           ##########            //
		     0x00, 0x7F, 0x80, 0x00,  //            ########             //
		     0x00, 0x1E, 0x00, 0x00,  //              ####               //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
		     0x00, 0x00, 0x00, 0x00,  //                                 //
};


const uint16_t font1desc[]=
{
		    0 ,		// %  (37)
		    0 ,		// &
		    0 ,		// '
		    0 ,		// (
		    0 ,		// )
		    0 ,		// *
		    0 ,		// +
		    140 ,		// ,  (44)
		    0 ,		// -
		    0 ,		// .
		    0 ,		// /
		    280 ,		// 0  (48)
		    420 ,		// 1  (49)
		    560 ,		// 2  (50)
		    700 ,		// 3  (51)
		    840 ,		// 4  (52)
		    980 ,		// 5  (53)
		    1120 ,		// 6  (54)
		    1260 ,		// 7  (55)
		    1400 ,		// 8  (56)
		    1540 ,		// 9  (57)
		    0 ,		// :
		    0 ,		// ;
		    0 ,		// <
		    0 ,		// =
		    0 ,		// >
		    0 ,		// ?
		    0 ,		// @
		    0 ,		// A
		    0 ,		// B
		    1680 ,		// C  (67)
		    0 ,		// D
		    0 ,		// E
		    0 ,		// F
		    0 ,		// G
		    0 ,		// H
		    0 ,		// I
		    0 ,		// J
		    0 ,		// K
		    0 ,		// L
		    0 ,		// M
		    0 ,		// N
		    0 ,		// O
		    1820 ,		// P  (80)
		    0 ,		// Q
		    0 ,		// R
		    0 ,		// S
		    0 ,		// T
		    0 ,		// U
		    0 ,		// V
		    0 ,		// W
		    0 ,		// X
		    0 ,		// Y
		    0 ,		// Z
		    0 ,		// [
		    0 ,		// //
		    0 ,		// ]
		    0 ,		// ^
		    0 ,		// _
		    0 ,		// `
		    1960 ,		// a  (97)
		    0 ,		// b
		    0 ,		// c
		    0 ,		// d
		    0 ,		// e
		    0 ,		// f
		    0 ,		// g
		    2100 ,		// h  (104)
		    0 ,		// i
		    0 ,		// j
		    0 ,		// k
		    0 ,		// l
		    0 ,		// m
		    0 ,		// n
		    0 ,		// o
		    0 ,		// p
		    0 ,		// q
		    0 ,		// r
		    0 ,		// s
		    0 ,		// t
		    0 ,		// u
		    0 ,		// v
		    0 ,		// w
		    0 ,		// x
		    0 ,		// y
		    0 ,		// z
		    0 ,		// {
		    0 ,		// |
		    0 ,		// }
		    0 ,		// ~
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		// 
		    0 ,		//
		    0 ,		//
		    0 ,		// 
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		// 
		    0 ,		//
		    0 ,		//
		    0 ,		// 
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		// 
		    0 ,		//
		    0 ,		// 
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		// 
		    2240 ,		//    (176)
};




// informacje Arial Black 72
const uint8_t fontinfo1[] =
{
		  35,  // Character height
		    '%',  //  Start character
		    0,  //  number of pixels of interspace between characters
		    0,  // number of pixels of space character

};


const uint8_t font5[]=
{
		 // @0   [!]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @32   ["]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0D, 0x80,  //       ## ##        //
		     0x0D, 0x80,  //       ## ##        //
		     0x0D, 0x80,  //       ## ##        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @64   [#]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x04, 0x80,  //        #  #        //
		     0x04, 0x80,  //        #  #        //
		     0x04, 0x80,  //        #  #        //
		     0x1F, 0x80,  //      ######        //
		     0x09, 0x00,  //       #  #         //
		     0x09, 0x00,  //       #  #         //
		     0x1F, 0x80,  //      ######        //
		     0x12, 0x00,  //      #  #          //
		     0x12, 0x00,  //      #  #          //
		     0x12, 0x00,  //      #  #          //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @96   [$]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x02, 0x00,  //         #          //
		     0x07, 0x00,  //        ###         //
		     0x0A, 0x80,  //       # # #        //
		     0x0A, 0x00,  //       # #          //
		     0x0E, 0x00,  //       ###          //
		     0x0F, 0x00,  //       ####         //
		     0x07, 0x80,  //        ####        //
		     0x03, 0x80,  //         ###        //
		     0x02, 0x80,  //         # #        //
		     0x0A, 0x80,  //       # # #        //
		     0x07, 0x00,  //        ###         //
		     0x02, 0x00,  //         #          //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @128   [%]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x39, 0x00,  //     ###  #         //
		     0x29, 0x00,  //     # #  #         //
		     0x29, 0x00,  //     # #  #         //
		     0x2A, 0x00,  //     # # #          //
		     0x3A, 0x00,  //     ### #          //
		     0x05, 0xC0,  //        # ###       //
		     0x05, 0x40,  //        # # #       //
		     0x05, 0x40,  //        # # #       //
		     0x09, 0x40,  //       #  # #       //
		     0x09, 0xC0,  //       #  ###       //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @160   [&]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0E, 0x00,  //       ###          //
		     0x1B, 0x00,  //      ## ##         //
		     0x1B, 0x00,  //      ## ##         //
		     0x0F, 0x00,  //       ####         //
		     0x0C, 0x00,  //       ##           //
		     0x1E, 0x80,  //      #### #        //
		     0x36, 0x80,  //     ## ## #        //
		     0x33, 0x80,  //     ##  ###        //
		     0x33, 0x80,  //     ##  ###        //
		     0x1E, 0xC0,  //      #### ##       //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @192   [']   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @224   [(]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x01, 0x00,  //          #         //
		     0x03, 0x00,  //         ##         //
		     0x02, 0x00,  //         #          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x02, 0x00,  //         #          //
		     0x03, 0x00,  //         ##         //
		     0x01, 0x00,  //          #         //

		     // @256   [)]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x04, 0x00,  //        #           //
		     0x06, 0x00,  //        ##          //
		     0x02, 0x00,  //         #          //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x02, 0x00,  //         #          //
		     0x06, 0x00,  //        ##          //
		     0x04, 0x00,  //        #           //

		     // @288   [*]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x02, 0x00,  //         #          //
		     0x0F, 0x80,  //       #####        //
		     0x02, 0x00,  //         #          //
		     0x0D, 0x80,  //       ## ##        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @320   [+]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x1F, 0x80,  //      ######        //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @352   [,]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x02, 0x00,  //         #          //
		     0x04, 0x00,  //        #           //
		     0x00, 0x00,  //                    //

		     // @384   [-]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x07, 0x00,  //        ###         //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @416   [.]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @448   [/]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x01, 0x00,  //          #         //
		     0x01, 0x00,  //          #         //
		     0x02, 0x00,  //         #          //
		     0x02, 0x00,  //         #          //
		     0x02, 0x00,  //         #          //
		     0x04, 0x00,  //        #           //
		     0x04, 0x00,  //        #           //
		     0x04, 0x00,  //        #           //
		     0x08, 0x00,  //       #            //
		     0x08, 0x00,  //       #            //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @480   [0]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0F, 0x00,  //       ####         //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x0F, 0x00,  //       ####         //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @512   [1]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x03, 0x00,  //         ##         //
		     0x07, 0x00,  //        ###         //
		     0x0F, 0x00,  //       ####         //
		     0x0B, 0x00,  //       # ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @544   [2]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0F, 0x00,  //       ####         //
		     0x19, 0x80,  //      ##  ##        //
		     0x01, 0x80,  //          ##        //
		     0x01, 0x80,  //          ##        //
		     0x03, 0x00,  //         ##         //
		     0x07, 0x00,  //        ###         //
		     0x06, 0x00,  //        ##          //
		     0x0C, 0x00,  //       ##           //
		     0x18, 0x00,  //      ##            //
		     0x1F, 0x80,  //      ######        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @576   [3]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0F, 0x00,  //       ####         //
		     0x19, 0x80,  //      ##  ##        //
		     0x01, 0x80,  //          ##        //
		     0x01, 0x80,  //          ##        //
		     0x07, 0x00,  //        ###         //
		     0x01, 0x80,  //          ##        //
		     0x01, 0x80,  //          ##        //
		     0x01, 0x80,  //          ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x0F, 0x00,  //       ####         //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @608   [4]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x07, 0x00,  //        ###         //
		     0x07, 0x00,  //        ###         //
		     0x0B, 0x00,  //       # ##         //
		     0x0B, 0x00,  //       # ##         //
		     0x13, 0x00,  //      #  ##         //
		     0x1F, 0x80,  //      ######        //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @640   [5]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0F, 0x80,  //       #####        //
		     0x0C, 0x00,  //       ##           //
		     0x18, 0x00,  //      ##            //
		     0x1F, 0x00,  //      #####         //
		     0x19, 0x80,  //      ##  ##        //
		     0x01, 0x80,  //          ##        //
		     0x01, 0x80,  //          ##        //
		     0x01, 0x80,  //          ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x0F, 0x00,  //       ####         //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @672   [6]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x07, 0x00,  //        ###         //
		     0x09, 0x80,  //       #  ##        //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x1F, 0x00,  //      #####         //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x0F, 0x00,  //       ####         //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @704   [7]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x1F, 0x80,  //      ######        //
		     0x01, 0x80,  //          ##        //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x0C, 0x00,  //       ##           //
		     0x0C, 0x00,  //       ##           //
		     0x0C, 0x00,  //       ##           //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @736   [8]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0F, 0x00,  //       ####         //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x0F, 0x00,  //       ####         //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x0F, 0x00,  //       ####         //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @768   [9]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0F, 0x00,  //       ####         //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x0F, 0x80,  //       #####        //
		     0x01, 0x80,  //          ##        //
		     0x01, 0x80,  //          ##        //
		     0x19, 0x00,  //      ##  #         //
		     0x0E, 0x00,  //       ###          //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @800   [:]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @832   [;]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x02, 0x00,  //         #          //
		     0x04, 0x00,  //        #           //
		     0x00, 0x00,  //                    //

		     // @864   [<]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x80,  //           #        //
		     0x03, 0x80,  //         ###        //
		     0x0E, 0x00,  //       ###          //
		     0x18, 0x00,  //      ##            //
		     0x0E, 0x00,  //       ###          //
		     0x03, 0x80,  //         ###        //
		     0x00, 0x80,  //           #        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @896   [=]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x1F, 0xC0,  //      #######       //
		     0x00, 0x00,  //                    //
		     0x1F, 0xC0,  //      #######       //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @928   [>]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x10, 0x00,  //      #             //
		     0x1C, 0x00,  //      ###           //
		     0x07, 0x00,  //        ###         //
		     0x01, 0x80,  //          ##        //
		     0x07, 0x00,  //        ###         //
		     0x1C, 0x00,  //      ###           //
		     0x10, 0x00,  //      #             //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @960   [?]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0F, 0x80,  //       #####        //
		     0x18, 0xC0,  //      ##   ##       //
		     0x00, 0xC0,  //           ##       //
		     0x00, 0xC0,  //           ##       //
		     0x01, 0x80,  //          ##        //
		     0x03, 0x00,  //         ##         //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @992   [@]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0F, 0xC0,  //       ######       //
		     0x30, 0x20,  //     ##      #      //
		     0x60, 0x10,  //    ##        #     //
		     0x4E, 0xC8,  //    #  ### ##  #    //
		     0x9F, 0xC8,  //   #  #######  #    //
		     0xB9, 0xC8,  //   # ###  ###  #    //
		     0xB1, 0x88,  //   # ##   ##   #    //
		     0xB3, 0x90,  //   # ##  ###  #     //
		     0xBF, 0xB0,  //   # ####### ##     //
		     0x5D, 0xC0,  //    # ### ###       //
		     0x40, 0x08,  //    #          #    //
		     0x30, 0x30,  //     ##      ##     //
		     0x0F, 0xC0,  //       ######       //

		     // @1024   [A]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x07, 0x00,  //        ###         //
		     0x07, 0x00,  //        ###         //
		     0x0D, 0x80,  //       ## ##        //
		     0x0D, 0x80,  //       ## ##        //
		     0x0D, 0x80,  //       ## ##        //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x1F, 0xC0,  //      #######       //
		     0x30, 0x60,  //     ##     ##      //
		     0x30, 0x60,  //     ##     ##      //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1056   [B]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x1F, 0x80,  //      ######        //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x1F, 0x80,  //      ######        //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x1F, 0x80,  //      ######        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1088   [C]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0F, 0x80,  //       #####        //
		     0x18, 0xC0,  //      ##   ##       //
		     0x30, 0x00,  //     ##             //
		     0x30, 0x00,  //     ##             //
		     0x30, 0x00,  //     ##             //
		     0x30, 0x00,  //     ##             //
		     0x30, 0x00,  //     ##             //
		     0x30, 0x00,  //     ##             //
		     0x18, 0xC0,  //      ##   ##       //
		     0x0F, 0x80,  //       #####        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1120   [D]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x1F, 0x00,  //      #####         //
		     0x19, 0x80,  //      ##  ##        //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x19, 0x80,  //      ##  ##        //
		     0x1F, 0x00,  //      #####         //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1152   [E]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x1F, 0x80,  //      ######        //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x1F, 0x80,  //      ######        //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x1F, 0x80,  //      ######        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1184   [F]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x1F, 0x80,  //      ######        //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x1F, 0x80,  //      ######        //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1216   [G]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0F, 0x80,  //       #####        //
		     0x18, 0xC0,  //      ##   ##       //
		     0x30, 0x00,  //     ##             //
		     0x30, 0x00,  //     ##             //
		     0x30, 0x00,  //     ##             //
		     0x33, 0xC0,  //     ##  ####       //
		     0x30, 0xC0,  //     ##    ##       //
		     0x30, 0xC0,  //     ##    ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x0F, 0x80,  //       #####        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1248   [H]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x1F, 0xC0,  //      #######       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1280   [I]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1312   [J]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x01, 0x80,  //          ##        //
		     0x01, 0x80,  //          ##        //
		     0x01, 0x80,  //          ##        //
		     0x01, 0x80,  //          ##        //
		     0x01, 0x80,  //          ##        //
		     0x01, 0x80,  //          ##        //
		     0x01, 0x80,  //          ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x0F, 0x00,  //       ####         //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1344   [K]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x18, 0xC0,  //      ##   ##       //
		     0x19, 0x80,  //      ##  ##        //
		     0x1B, 0x00,  //      ## ##         //
		     0x1B, 0x00,  //      ## ##         //
		     0x1F, 0x00,  //      #####         //
		     0x1D, 0x80,  //      ### ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1376   [L]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x1F, 0x80,  //      ######        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1408   [M]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x38, 0xE0,  //     ###   ###      //
		     0x38, 0xE0,  //     ###   ###      //
		     0x3D, 0xE0,  //     #### ####      //
		     0x3D, 0xE0,  //     #### ####      //
		     0x35, 0x60,  //     ## # # ##      //
		     0x35, 0x60,  //     ## # # ##      //
		     0x35, 0x60,  //     ## # # ##      //
		     0x37, 0x60,  //     ## ### ##      //
		     0x37, 0x60,  //     ## ### ##      //
		     0x32, 0x60,  //     ##  #  ##      //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1440   [N]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x18, 0xC0,  //      ##   ##       //
		     0x1C, 0xC0,  //      ###  ##       //
		     0x1C, 0xC0,  //      ###  ##       //
		     0x1E, 0xC0,  //      #### ##       //
		     0x1A, 0xC0,  //      ## # ##       //
		     0x1B, 0xC0,  //      ## ####       //
		     0x19, 0xC0,  //      ##  ###       //
		     0x19, 0xC0,  //      ##  ###       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1472   [O]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0F, 0x00,  //       ####         //
		     0x19, 0x80,  //      ##  ##        //
		     0x30, 0xC0,  //     ##    ##       //
		     0x30, 0xC0,  //     ##    ##       //
		     0x30, 0xC0,  //     ##    ##       //
		     0x30, 0xC0,  //     ##    ##       //
		     0x30, 0xC0,  //     ##    ##       //
		     0x30, 0xC0,  //     ##    ##       //
		     0x19, 0x80,  //      ##  ##        //
		     0x0F, 0x00,  //       ####         //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1504   [P]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x1F, 0x80,  //      ######        //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x1F, 0x80,  //      ######        //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1536   [Q]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0F, 0x00,  //       ####         //
		     0x19, 0x80,  //      ##  ##        //
		     0x30, 0xC0,  //     ##    ##       //
		     0x30, 0xC0,  //     ##    ##       //
		     0x30, 0xC0,  //     ##    ##       //
		     0x30, 0xC0,  //     ##    ##       //
		     0x30, 0xC0,  //     ##    ##       //
		     0x32, 0xC0,  //     ##  # ##       //
		     0x19, 0x80,  //      ##  ##        //
		     0x0F, 0x80,  //       #####        //
		     0x00, 0x40,  //            #       //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1568   [R]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x3F, 0x00,  //     ######         //
		     0x31, 0x80,  //     ##   ##        //
		     0x31, 0x80,  //     ##   ##        //
		     0x31, 0x80,  //     ##   ##        //
		     0x31, 0x80,  //     ##   ##        //
		     0x3F, 0x00,  //     ######         //
		     0x33, 0x00,  //     ##  ##         //
		     0x31, 0x80,  //     ##   ##        //
		     0x31, 0x80,  //     ##   ##        //
		     0x30, 0xC0,  //     ##    ##       //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1600   [S]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0F, 0x80,  //       #####        //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0x00,  //      ##            //
		     0x1C, 0x00,  //      ###           //
		     0x0F, 0x00,  //       ####         //
		     0x07, 0x80,  //        ####        //
		     0x01, 0xC0,  //          ###       //
		     0x00, 0xC0,  //           ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x0F, 0x80,  //       #####        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1632   [T]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x3F, 0xC0,  //     ########       //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1664   [U]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x0F, 0x80,  //       #####        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1696   [V]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x30, 0x60,  //     ##     ##      //
		     0x30, 0x60,  //     ##     ##      //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x0D, 0x80,  //       ## ##        //
		     0x0D, 0x80,  //       ## ##        //
		     0x0D, 0x80,  //       ## ##        //
		     0x07, 0x00,  //        ###         //
		     0x07, 0x00,  //        ###         //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1728   [W]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0xC7, 0x18,  //   ##   ###   ##    //
		     0xC7, 0x18,  //   ##   ###   ##    //
		     0x67, 0x30,  //    ##  ###  ##     //
		     0x6D, 0xB0,  //    ## ## ## ##     //
		     0x6D, 0xB0,  //    ## ## ## ##     //
		     0x6D, 0xB0,  //    ## ## ## ##     //
		     0x6D, 0xB0,  //    ## ## ## ##     //
		     0x38, 0xE0,  //     ###   ###      //
		     0x38, 0xE0,  //     ###   ###      //
		     0x38, 0xE0,  //     ###   ###      //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1760   [X]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x0D, 0x80,  //       ## ##        //
		     0x07, 0x00,  //        ###         //
		     0x07, 0x00,  //        ###         //
		     0x07, 0x00,  //        ###         //
		     0x07, 0x00,  //        ###         //
		     0x0D, 0x80,  //       ## ##        //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1792   [Y]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x30, 0xC0,  //     ##    ##       //
		     0x30, 0xC0,  //     ##    ##       //
		     0x19, 0x80,  //      ##  ##        //
		     0x0F, 0x00,  //       ####         //
		     0x0F, 0x00,  //       ####         //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1824   [Z]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x1F, 0xC0,  //      #######       //
		     0x00, 0xC0,  //           ##       //
		     0x01, 0x80,  //          ##        //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x0C, 0x00,  //       ##           //
		     0x18, 0x00,  //      ##            //
		     0x1F, 0xC0,  //      #######       //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1856   [[]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x07, 0x00,  //        ###         //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x07, 0x00,  //        ###         //

		     // @1888   [\]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x08, 0x00,  //       #            //
		     0x08, 0x00,  //       #            //
		     0x04, 0x00,  //        #           //
		     0x04, 0x00,  //        #           //
		     0x04, 0x00,  //        #           //
		     0x02, 0x00,  //         #          //
		     0x02, 0x00,  //         #          //
		     0x02, 0x00,  //         #          //
		     0x01, 0x00,  //          #         //
		     0x01, 0x00,  //          #         //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1920   []]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x07, 0x00,  //        ###         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x07, 0x00,  //        ###         //

		     // @1952   [^]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x0F, 0x00,  //       ####         //
		     0x09, 0x00,  //       #  #         //
		     0x19, 0x80,  //      ##  ##        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @1984   [_]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x1F, 0xC0,  //      #######       //

		     // @2016   [a]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0F, 0x00,  //       ####         //
		     0x11, 0x80,  //      #   ##        //
		     0x07, 0x80,  //        ####        //
		     0x0D, 0x80,  //       ## ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x0F, 0x80,  //       #####        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @2048   [b]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x1B, 0x00,  //      ## ##         //
		     0x1D, 0x80,  //      ### ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x1D, 0x80,  //      ### ##        //
		     0x1B, 0x00,  //      ## ##         //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @2080   [c]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0F, 0x00,  //       ####         //
		     0x19, 0x80,  //      ##  ##        //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x19, 0x80,  //      ##  ##        //
		     0x0F, 0x00,  //       ####         //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @2112   [d]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x01, 0x80,  //          ##        //
		     0x01, 0x80,  //          ##        //
		     0x01, 0x80,  //          ##        //
		     0x0D, 0x80,  //       ## ##        //
		     0x1B, 0x80,  //      ## ###        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x1B, 0x80,  //      ## ###        //
		     0x0D, 0x80,  //       ## ##        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @2144   [e]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0F, 0x00,  //       ####         //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x1F, 0x80,  //      ######        //
		     0x18, 0x00,  //      ##            //
		     0x19, 0x80,  //      ##  ##        //
		     0x0F, 0x00,  //       ####         //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @2176   [f]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x03, 0x80,  //         ###        //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x0F, 0x00,  //       ####         //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @2208   [g]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0D, 0x80,  //       ## ##        //
		     0x1B, 0x80,  //      ## ###        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x1B, 0x80,  //      ## ###        //
		     0x0D, 0x80,  //       ## ##        //
		     0x01, 0x80,  //          ##        //
		     0x11, 0x80,  //      #   ##        //
		     0x0F, 0x00,  //       ####         //

		     // @2240   [h]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x1B, 0x00,  //      ## ##         //
		     0x1D, 0x80,  //      ### ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @2272   [i]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @2304   [j]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x00, 0x00,  //                    //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x0E, 0x00,  //       ###          //

		     // @2336   [k]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x19, 0x80,  //      ##  ##        //
		     0x1B, 0x00,  //      ## ##         //
		     0x1E, 0x00,  //      ####          //
		     0x1E, 0x00,  //      ####          //
		     0x1B, 0x00,  //      ## ##         //
		     0x1B, 0x00,  //      ## ##         //
		     0x19, 0x80,  //      ##  ##        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @2368   [l]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @2400   [m]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x6E, 0xC0,  //    ## ### ##       //
		     0x77, 0x60,  //    ### ### ##      //
		     0x66, 0x60,  //    ##  ##  ##      //
		     0x66, 0x60,  //    ##  ##  ##      //
		     0x66, 0x60,  //    ##  ##  ##      //
		     0x66, 0x60,  //    ##  ##  ##      //
		     0x66, 0x60,  //    ##  ##  ##      //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @2432   [n]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x1B, 0x00,  //      ## ##         //
		     0x1D, 0x80,  //      ### ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @2464   [o]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0F, 0x00,  //       ####         //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x0F, 0x00,  //       ####         //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @2496   [p]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x1B, 0x00,  //      ## ##         //
		     0x1D, 0x80,  //      ### ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x1D, 0x80,  //      ### ##        //
		     0x1B, 0x00,  //      ## ##         //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //

		     // @2528   [q]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0D, 0x80,  //       ## ##        //
		     0x1B, 0x80,  //      ## ###        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x1B, 0x80,  //      ## ###        //
		     0x0D, 0x80,  //       ## ##        //
		     0x01, 0x80,  //          ##        //
		     0x01, 0x80,  //          ##        //
		     0x01, 0x80,  //          ##        //

		     // @2560   [r]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0F, 0x00,  //       ####         //
		     0x0C, 0x00,  //       ##           //
		     0x0C, 0x00,  //       ##           //
		     0x0C, 0x00,  //       ##           //
		     0x0C, 0x00,  //       ##           //
		     0x0C, 0x00,  //       ##           //
		     0x0C, 0x00,  //       ##           //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @2592   [s]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0F, 0x00,  //       ####         //
		     0x19, 0x80,  //      ##  ##        //
		     0x1C, 0x00,  //      ###           //
		     0x0F, 0x00,  //       ####         //
		     0x03, 0x80,  //         ###        //
		     0x19, 0x80,  //      ##  ##        //
		     0x0F, 0x00,  //       ####         //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @2624   [t]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x02, 0x00,  //         #          //
		     0x06, 0x00,  //        ##          //
		     0x0F, 0x00,  //       ####         //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x03, 0x00,  //         ##         //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @2656   [u]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x1B, 0x80,  //      ## ###        //
		     0x0D, 0x80,  //       ## ##        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @2688   [v]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x0D, 0x80,  //       ## ##        //
		     0x0D, 0x80,  //       ## ##        //
		     0x0D, 0x80,  //       ## ##        //
		     0x07, 0x00,  //        ###         //
		     0x07, 0x00,  //        ###         //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @2720   [w]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x62, 0x30,  //    ##   #   ##     //
		     0x67, 0x30,  //    ##  ###  ##     //
		     0x37, 0x60,  //     ## ### ##      //
		     0x35, 0x60,  //     ## # # ##      //
		     0x3D, 0xE0,  //     #### ####      //
		     0x1D, 0xC0,  //      ### ###       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @2752   [x]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x0F, 0x00,  //       ####         //
		     0x06, 0x00,  //        ##          //
		     0x0F, 0x00,  //       ####         //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @2784   [y]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x0D, 0x80,  //       ## ##        //
		     0x0D, 0x80,  //       ## ##        //
		     0x0D, 0x80,  //       ## ##        //
		     0x07, 0x00,  //        ###         //
		     0x07, 0x00,  //        ###         //
		     0x07, 0x00,  //        ###         //
		     0x06, 0x00,  //        ##          //
		     0x1E, 0x00,  //      ####          //

		     // @2816   [z]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0F, 0x80,  //       #####        //
		     0x01, 0x80,  //          ##        //
		     0x03, 0x00,  //         ##         //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x0C, 0x00,  //       ##           //
		     0x0F, 0x80,  //       #####        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @2848   [{]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x03, 0x80,  //         ###        //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x0C, 0x00,  //       ##           //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x03, 0x80,  //         ###        //

		     // @2880    (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x02, 0x00,  //         #          //
		     0x02, 0x00,  //         #          //
		     0x02, 0x00,  //         #          //
		     0x02, 0x00,  //         #          //
		     0x02, 0x00,  //         #          //
		     0x02, 0x00,  //         #          //
		     0x02, 0x00,  //         #          //
		     0x02, 0x00,  //         #          //
		     0x02, 0x00,  //         #          //
		     0x02, 0x00,  //         #          //
		     0x02, 0x00,  //         #          //
		     0x02, 0x00,  //         #          //
		     0x00, 0x00,  //                    //

		     // @2912    (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0E, 0x00,  //       ###          //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x01, 0x80,  //          ##        //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x0E, 0x00,  //       ###          //

		     // @2944     (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0E, 0x40,  //       ###  #       //
		     0x13, 0x80,  //      #  ###        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @2976     (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x03, 0x80,  //         ###        //
		     0x06, 0x80,  //        ## #        //
		     0x0C, 0x00,  //       ##           //
		     0x1F, 0x80,  //      ######        //
		     0x0C, 0x00,  //       ##           //
		     0x1F, 0x80,  //      ######        //
		     0x0C, 0x00,  //       ##           //
		     0x0C, 0x00,  //       ##           //
		     0x06, 0x00,  //        ##          //
		     0x03, 0x80,  //         ###        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @3008     (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @3040      (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0xE4, 0x00,  //   ###  #           //
		     0xA4, 0x00,  //   # #  #           //
		     0xA4, 0x00,  //   # #  #           //
		     0xA8, 0x00,  //   # # #            //
		     0xE8, 0x00,  //   ### #            //
		     0x17, 0x70,  //      # ### ###     //
		     0x15, 0x50,  //      # # # # #     //
		     0x25, 0x50,  //     #  # # # #     //
		     0x25, 0x50,  //     #  # # # #     //
		     0x27, 0x70,  //     #  ### ###     //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @3072      (13 px wide)
		     0x03, 0x00,  //         ##         //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x0F, 0x80,  //       #####        //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0x00,  //      ##            //
		     0x1C, 0x00,  //      ###           //
		     0x0F, 0x00,  //       ####         //
		     0x07, 0x80,  //        ####        //
		     0x01, 0xC0,  //          ###       //
		     0x00, 0xC0,  //           ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x0F, 0x80,  //       #####        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @3104   [•]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x06, 0x00,  //        ##          //
		     0x0F, 0x00,  //       ####         //
		     0x0F, 0x00,  //       ####         //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @3136   ]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @3168   [ś]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x03, 0x00,  //         ##         //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x0F, 0x00,  //       ####         //
		     0x19, 0x80,  //      ##  ##        //
		     0x1C, 0x00,  //      ###           //
		     0x0F, 0x00,  //       ####         //
		     0x03, 0x80,  //         ###        //
		     0x19, 0x80,  //      ##  ##        //
		     0x0F, 0x00,  //       ####         //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @3200   [ť]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0xC0,  //           ##       //
		     0x04, 0xC0,  //        #  ##       //
		     0x0C, 0x40,  //       ##   #       //
		     0x1E, 0x80,  //      #### #        //
		     0x0C, 0x00,  //       ##           //
		     0x0C, 0x00,  //       ##           //
		     0x0C, 0x00,  //       ##           //
		     0x0C, 0x00,  //       ##           //
		     0x0C, 0x00,  //       ##           //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @3232   [ź]   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x03, 0x00,  //         ##         //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x0F, 0x80,  //       #####        //
		     0x01, 0x80,  //          ##        //
		     0x03, 0x00,  //         ##         //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x0C, 0x00,  //       ##           //
		     0x0F, 0x80,  //       #####        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @3264   []   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0C, 0x00,  //       ##           //
		     0x0C, 0x00,  //       ##           //
		     0x0D, 0x00,  //       ## #         //
		     0x0E, 0x00,  //       ###          //
		     0x0C, 0x00,  //       ##           //
		     0x1C, 0x00,  //      ###           //
		     0x0C, 0x00,  //       ##           //
		     0x0C, 0x00,  //       ##           //
		     0x0C, 0x00,  //       ##           //
		     0x0F, 0xC0,  //       ######       //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @3296      (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x07, 0x00,  //        ###         //
		     0x07, 0x00,  //        ###         //
		     0x0D, 0x80,  //       ## ##        //
		     0x0D, 0x80,  //       ## ##        //
		     0x0D, 0x80,  //       ## ##        //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x1F, 0xC0,  //      #######       //
		     0x30, 0x60,  //     ##     ##      //
		     0x30, 0x60,  //     ##     ##      //
		     0x00, 0x40,  //            #       //
		     0x00, 0x40,  //            #       //
		     0x00, 0x60,  //            ##      //

		     // @3328      (13 px wide)
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x00, 0x00,  //                    //
		     0x1F, 0xC0,  //      #######       //
		     0x00, 0xC0,  //           ##       //
		     0x01, 0x80,  //          ##        //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x0C, 0x00,  //       ##           //
		     0x18, 0x00,  //      ##            //
		     0x1F, 0xC0,  //      #######       //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @3360     (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x06, 0x00,  //        ##          //
		     0x09, 0x00,  //       #  #         //
		     0x09, 0x00,  //       #  #         //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @3392     (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x1F, 0x80,  //      ######        //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x1F, 0x80,  //      ######        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @3424      (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x07, 0x00,  //        ###         //
		     0x06, 0x00,  //        ##          //
		     0x0E, 0x00,  //       ###          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @3456     (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x1F, 0x80,  //      ######        //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //

		     // @3488      (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0F, 0x00,  //       ####         //
		     0x11, 0x80,  //      #   ##        //
		     0x07, 0x80,  //        ####        //
		     0x0D, 0x80,  //       ## ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x0F, 0x80,  //       #####        //
		     0x01, 0x00,  //          #         //
		     0x01, 0x00,  //          #         //
		     0x01, 0x80,  //          ##        //

		     // @3520      (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x03, 0x00,  //         ##         //
		     0x03, 0x00,  //         ##         //
		     0x00, 0x00,  //                    //
		     0x0F, 0x80,  //       #####        //
		     0x01, 0x80,  //          ##        //
		     0x03, 0x00,  //         ##         //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x0C, 0x00,  //       ##           //
		     0x0F, 0x80,  //       #####        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @3552    (13 px wide)
		     0x03, 0x00,  //         ##         //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x0F, 0x80,  //       #####        //
		     0x18, 0xC0,  //      ##   ##       //
		     0x30, 0x00,  //     ##             //
		     0x30, 0x00,  //     ##             //
		     0x30, 0x00,  //     ##             //
		     0x30, 0x00,  //     ##             //
		     0x30, 0x00,  //     ##             //
		     0x30, 0x00,  //     ##             //
		     0x18, 0xC0,  //      ##   ##       //
		     0x0F, 0x80,  //       #####        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @3584  (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x1F, 0x80,  //      ######        //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x1F, 0x80,  //      ######        //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x1F, 0x80,  //      ######        //
		     0x01, 0x00,  //          #         //
		     0x01, 0x00,  //          #         //
		     0x01, 0x80,  //          ##        //

		     // @3616     (13 px wide)
		     0x01, 0x80,  //          ##        //
		     0x03, 0x00,  //         ##         //
		     0x00, 0x00,  //                    //
		     0x18, 0xC0,  //      ##   ##       //
		     0x1C, 0xC0,  //      ###  ##       //
		     0x1C, 0xC0,  //      ###  ##       //
		     0x1E, 0xC0,  //      #### ##       //
		     0x1A, 0xC0,  //      ## # ##       //
		     0x1B, 0xC0,  //      ## ####       //
		     0x19, 0xC0,  //      ##  ###       //
		     0x19, 0xC0,  //      ##  ###       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x18, 0xC0,  //      ##   ##       //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @3648   (13 px wide)
		     0x03, 0x00,  //         ##         //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x0F, 0x00,  //       ####         //
		     0x19, 0x80,  //      ##  ##        //
		     0x30, 0xC0,  //     ##    ##       //
		     0x30, 0xC0,  //     ##    ##       //
		     0x30, 0xC0,  //     ##    ##       //
		     0x30, 0xC0,  //     ##    ##       //
		     0x30, 0xC0,  //     ##    ##       //
		     0x30, 0xC0,  //     ##    ##       //
		     0x19, 0x80,  //      ##  ##        //
		     0x0F, 0x00,  //       ####         //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @3680   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x08, 0x80,  //       #   #        //
		     0x0D, 0x80,  //       ## ##        //
		     0x07, 0x00,  //        ###         //
		     0x07, 0x00,  //        ###         //
		     0x0D, 0x80,  //       ## ##        //
		     0x08, 0x80,  //       #   #        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @3712     (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0E, 0x00,  //       ###          //
		     0x1B, 0x00,  //      ## ##         //
		     0x1B, 0x00,  //      ## ##         //
		     0x1A, 0x00,  //      ## #          //
		     0x1E, 0x00,  //      ####          //
		     0x1F, 0x00,  //      #####         //
		     0x1B, 0x80,  //      ## ###        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x1B, 0x00,  //      ## ##         //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @3744      (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x03, 0x00,  //         ##         //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x0F, 0x00,  //       ####         //
		     0x19, 0x80,  //      ##  ##        //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x18, 0x00,  //      ##            //
		     0x19, 0x80,  //      ##  ##        //
		     0x0F, 0x00,  //       ####         //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @3776     (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x0F, 0x00,  //       ####         //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x1F, 0x80,  //      ######        //
		     0x18, 0x00,  //      ##            //
		     0x19, 0x80,  //      ##  ##        //
		     0x0F, 0x00,  //       ####         //
		     0x02, 0x00,  //         #          //
		     0x02, 0x00,  //         #          //
		     0x03, 0x00,  //         ##         //

		     // @3808  (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x03, 0x00,  //         ##         //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x1B, 0x00,  //      ## ##         //
		     0x1D, 0x80,  //      ### ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

		     // @3840    (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x03, 0x00,  //         ##         //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x0F, 0x00,  //       ####         //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x19, 0x80,  //      ##  ##        //
		     0x0F, 0x00,  //       ####         //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //

			 /*
		     // @3872   (13 px wide)
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x1F, 0x80,  //      ######        //
		     0x00, 0x00,  //                    //
		     0x06, 0x00,  //        ##          //
		     0x06, 0x00,  //        ##          //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     0x00, 0x00,  //                    //
		     */
			 // @3872    (13 px wide)
					     0x00, 0x00,  //                    //
					     0x00, 0x00,  //                    //
					     0x00, 0x00,  //     SPACJA POD     //
					     0x00, 0x00,  //        ADRESEM     //
					     0x00, 0x00,  //         247        //
					     0x00, 0x00,  //        ##          //
					     0x00, 0x00,  //                    //
					     0x00, 0x00,  //                    //
					     0x00, 0x00,  //      ######        //
					     0x00, 0x00,  //                    //
					     0x00, 0x00,  //        ##          //
					     0x00, 0x00,  //        ##          //
					     0x00, 0x00,  //                    //
					     0x00, 0x00,  //                    //
					     0x00, 0x00,  //                    //
					     0x00, 0x00,  //                    //
};


const uint16_t font5desc[]=
{
		0 ,		// !  (33)
		    32 ,		// "  (34)
		    64 ,		// #  (35)
		    96 ,		// $  (36)
		    128 ,		// %  (37)
		    160 ,		// &  (38)
		    192 ,		// '  (39)
		    224 ,		// (  (40)
		    256 ,		// )  (41)
		    288 ,		// *  (42)
		    320 ,		// +  (43)
		    352 ,		// ,  (44)
		    384 ,		// -  (45)
		    416 ,		// .  (46)
		    448 ,		// /  (47)
		    480 ,		// 0  (48)
		    512 ,		// 1  (49)
		    544 ,		// 2  (50)
		    576 ,		// 3  (51)
		    608 ,		// 4  (52)
		    640 ,		// 5  (53)
		    672 ,		// 6  (54)
		    704 ,		// 7  (55)
		    736 ,		// 8  (56)
		    768 ,		// 9  (57)
		    800 ,		// :  (58)
		    832 ,		// ;  (59)
		    864 ,		// <  (60)
		    896 ,		// =  (61)
		    928 ,		// >  (62)
		    960 ,		// ?  (63)
		    992 ,		// @  (64)
		    1024 ,		// A  (65)
		    1056 ,		// B  (66)
		    1088 ,		// C  (67)
		    1120 ,		// D  (68)
		    1152 ,		// E  (69)
		    1184 ,		// F  (70)
		    1216 ,		// G  (71)
		    1248 ,		// H  (72)
		    1280 ,		// I  (73)
		    1312 ,		// J  (74)
		    1344 ,		// K  (75)
		    1376 ,		// L  (76)
		    1408 ,		// M  (77)
		    1440 ,		// N  (78)
		    1472 ,		// O  (79)
		    1504 ,		// P  (80)
		    1536 ,		// Q  (81)
		    1568 ,		// R  (82)
		    1600 ,		// S  (83)
		    1632 ,		// T  (84)
		    1664 ,		// U  (85)
		    1696 ,		// V  (86)
		    1728 ,		// W  (87)
		    1760 ,		// X  (88)
		    1792 ,		// Y  (89)
		    1824 ,		// Z  (90)
		    1856 ,		// [  (91)
		    1888 ,		// //  (92)
		    1920 ,		// ]  (93)
		    1952 ,		// ^  (94)
		    1984 ,		// _  (95)
		    0 ,		// `
		    2016 ,		// a  (97)
		    2048 ,		// b  (98)
		    2080 ,		// c  (99)
		    2112 ,		// d  (100)
		    2144 ,		// e  (101)
		    2176 ,		// f  (102)
		    2208 ,		// g  (103)
		    2240 ,		// h  (104)
		    2272 ,		// i  (105)
		    2304 ,		// j  (106)
		    2336 ,		// k  (107)
		    2368 ,		// l  (108)
		    2400 ,		// m  (109)
		    2432 ,		// n  (110)
		    2464 ,		// o  (111)
		    2496 ,		// p  (112)
		    2528 ,		// q  (113)
		    2560 ,		// r  (114)
		    2592 ,		// s  (115)
		    2624 ,		// t  (116)
		    2656 ,		// u  (117)
		    2688 ,		// v  (118)
		    2720 ,		// w  (119)
		    2752 ,		// x  (120)
		    2784 ,		// y  (121)
		    2816 ,		// z  (122)
		    2848 ,		// {  (123)
		    2880 ,		// |  (124)
		    2912 ,		// }  (125)
		    2944 ,		// ~  (126)
		    0 ,		//
		    2976 ,		//    (128)
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    3008 ,		//    (136)
		    3040 ,		//    (137)
		    0 ,		//
		    0 ,		//
		    3072 ,		// Ś  (140)
		    0 ,		//
		    0 ,		//
		    0 ,		// Ź
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    3104 ,		//    (149)
		    0 ,		//
		    0 ,		//
		    3136 ,		//    (152)
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    3168 ,		//   (156)
		    3200 ,		//    (157)
		    0 ,		//
		    3232 ,		//   (159)
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    3264 ,		//   (163)
		    0 ,		//
		    3296 ,		//   (165)
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    3328 ,		//   (175)
		    3360 ,		//    (176)
		    3392 ,		//    (177)
		    0 ,		//
		    3424 ,		//   (179)
		    0 ,		//
		    3456 ,		//    (181)
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    3488 ,		//   (185)
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    3520 ,		//  (191)
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    3552 ,		//  (198)
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    3584 ,		//   (202)
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    3616 ,		//   (209)
		    0 ,		//
		    3648 ,		//   (211)
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    3680 ,		//    (215)
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    3712 ,		//    (223)
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    3744 ,		//   (230)
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    3776 ,		//   (234)
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    0 ,		//
		    3808 ,		//  (241)
		    0 ,		//
		    3840 ,		//  (243)
		    0 ,		//
		    0 ,		//
		   0 ,		//
		   3872 ,		//    (247)
};

const uint8_t fontinfo5[]=
{
		  16,  // Character height
		    '!',  //  Start character
		    0,  //  number of pixels of interspace between characters
		    2,  // number of pixels of space character

};


